// *********************************************************
// *** MD6602  Register Definitions                      ***                                                          
// *********************************************************
#ifndef __DEFINES_H__
#define __DEFINES_H__
// *********************************************************
// *** Register Bank                                     ***
// *********************************************************
#define BANK_MAIN  0
#define BANK_MAINH 1
#define BANK_INTL  2
#define BANK_INTH  3
// *********************************************************
// *** Define Type                                       ***
// *********************************************************
typedef unsigned long  UI32;
typedef unsigned short UI16;
typedef unsigned char  UI08;
typedef   signed long  SI32;
typedef   signed short SI16;
typedef   signed char  SI08;
// ***---------------------------------------------------***
typedef unsigned long  uint32_t;
typedef unsigned short uint16_t;
typedef unsigned char  uint8_t;
typedef   signed long  int32_t;
typedef   signed short int16_t;
typedef   signed char  int8_t;
// *********************************************************
// *** Register Access Support                           ***
// *********************************************************
#define REG8(add)  *((volatile UI08 *) (add))
#define REG08(add) *((volatile UI08 *) (add))
#define REG16(add) *((volatile UI16 *) (add))
#define REG32(add) *((volatile UI32 *) (add))
// *********************************************************
                                                            
// *********************************************************
// *** Declare SFR                                       ***
// *********************************************************
                                                            
// ***---------------------------------------------------***
// *** CPU Registers (SFR)                               ***
// ***---------------------------------------------------***
// *** __sfr __at(0xd0) PSW;                             ***
// *** __sfr __at(0xe0) ACC;                             ***
// *** __sfr __at(0xf0) B;                               ***
// *** __sfr __at(0x81) SP;                              ***
// *** __sfr __at(0x82) DPL;                             ***
// *** __sfr __at(0x83) DPH;                             ***
// *** __sfr __at(0xCA) PIF02;                           ***
// *** __sfr __at(0xDA) PIF12;                           ***
// *** __sfr __at(0x08) ar0;                             ***
// *** __sfr __at(0x09) ar1;                             ***
// *** __sfr __at(0x0a) ar2;                             ***
// *** __sfr __at(0x0b) ar3;                             ***
// *** __sfr __at(0x0c) ar4;                             ***
// *** __sfr __at(0x0d) ar5;                             ***
// *** __sfr __at(0x0e) ar6;                             ***
// *** __sfr __at(0x0f) ar7;                             ***
// ***---------------------------------------------------***
// *** Interrupt Control (SFR)                           ***
// ***---------------------------------------------------***
__sfr __at(0x9C) INTMST;
__sfr __at(0xA4) INTENA0;
__sfr __at(0xA5) INTENA1;
__sfr __at(0xA6) INTENA2;
__sfr __at(0xA7) INTENA3;
__sfr __at(0xAC) INTLVL0;
__sfr __at(0xAD) INTLVL1;
__sfr __at(0xAE) INTLVL2;
__sfr __at(0xAF) INTLVL3;
__sfr __at(0xB4) INTCFG0;
__sfr __at(0xB5) INTCFG1;
__sfr __at(0xB6) INTCFG2;
__sfr __at(0xB7) INTCFG3;
__sfr __at(0xBC) INTFLG0;
__sfr __at(0xBD) INTFLG1;
__sfr __at(0xBE) INTFLG2;
__sfr __at(0xBF) INTFLG3;
// ***---------------------------------------------------***
// *** ADC Control (SFR)                                 ***
// ***---------------------------------------------------***
__sfr __at(0x99) AD00;
__sfr __at(0x99) ADLH00;                  // *** (Alias) ***
__sfr __at(0xA1) AD01;
__sfr __at(0xA1) ADLH10;                  // *** (Alias) ***
__sfr __at(0xA9) AD02;
__sfr __at(0xA9) ADLH20;                  // *** (Alias) ***
__sfr __at(0xB1) AD03;
__sfr __at(0xB1) ADLH30;                  // *** (Alias) ***
__sfr __at(0xB9) AD04;
__sfr __at(0xB9) ADLH40;                  // *** (Alias) ***
__sfr __at(0xC1) AD05;
__sfr __at(0xC1) ADLH50;                  // *** (Alias) ***
__sfr __at(0xC9) AD06;
__sfr __at(0xC9) ADLH60;                  // *** (Alias) ***
__sfr __at(0xD1) AD07;
__sfr __at(0xD1) ADLH70;                  // *** (Alias) ***
__sfr __at(0xD9) AD08;
__sfr __at(0xD9) ADLH80;                  // *** (Alias) ***
__sfr __at(0xE1) AD09;
__sfr __at(0xE1) ADLH90;                  // *** (Alias) ***
__sfr __at(0xE9) AD0A;
__sfr __at(0x89) AD0B;
__sfr __at(0x9A) AD10;
__sfr __at(0x9A) ADLH01;                  // *** (Alias) ***
__sfr __at(0xA2) AD11;
__sfr __at(0xA2) ADLH11;                  // *** (Alias) ***
__sfr __at(0xAA) AD12;
__sfr __at(0xAA) ADLH21;                  // *** (Alias) ***
__sfr __at(0xB2) AD13;
__sfr __at(0xB2) ADLH31;                  // *** (Alias) ***
__sfr __at(0xBA) AD14;
__sfr __at(0xBA) ADLH41;                  // *** (Alias) ***
__sfr __at(0xC2) AD15;
__sfr __at(0xC2) ADLH51;                  // *** (Alias) ***
__sfr __at(0xCA) AD16;
__sfr __at(0xCA) ADLH61;                  // *** (Alias) ***
__sfr __at(0xD2) AD17;
__sfr __at(0xD2) ADLH71;                  // *** (Alias) ***
__sfr __at(0xDA) AD18;
__sfr __at(0xDA) ADLH81;                  // *** (Alias) ***
__sfr __at(0xE2) AD19;
__sfr __at(0xE2) ADLH91;                  // *** (Alias) ***
__sfr __at(0xEA) AD1A;
__sfr __at(0x8A) AD1B;
__sfr __at(0x9B) AD20;
__sfr __at(0x9B) ADLH02;                  // *** (Alias) ***
__sfr __at(0xA3) AD21;
__sfr __at(0xA3) ADLH12;                  // *** (Alias) ***
__sfr __at(0xAB) AD22;
__sfr __at(0xAB) ADLH22;                  // *** (Alias) ***
__sfr __at(0xB3) AD23;
__sfr __at(0xB3) ADLH32;                  // *** (Alias) ***
__sfr __at(0xBB) AD24;
__sfr __at(0xBB) ADLH42;                  // *** (Alias) ***
__sfr __at(0xC3) AD25;
__sfr __at(0xC3) ADLH52;                  // *** (Alias) ***
__sfr __at(0xCB) AD26;
__sfr __at(0xCB) ADLH62;                  // *** (Alias) ***
__sfr __at(0xD3) AD27;
__sfr __at(0xD3) ADLH72;                  // *** (Alias) ***
__sfr __at(0xDB) AD28;
__sfr __at(0xDB) ADLH82;                  // *** (Alias) ***
__sfr __at(0xE3) AD29;
__sfr __at(0xE3) ADLH92;                  // *** (Alias) ***
__sfr __at(0xEB) AD2A;
__sfr __at(0x8B) AD2B;
__sfr __at(0xF1) ADT;
__sfr __at(0xF2) ADI;
// ***---------------------------------------------------***
// *** Tiny DSP Control (SFR)                            ***
// ***---------------------------------------------------***
__sfr __at(0xC4) DSP0_0;
__sfr __at(0xC4) DSP0_R0_HL;              // *** (Alias) ***
__sfr __at(0xC5) DSP0_1;
__sfr __at(0xC5) DSP0_R1_HL;              // *** (Alias) ***
__sfr __at(0xC6) DSP0_2;
__sfr __at(0xC6) DSP0_R2_HL;              // *** (Alias) ***
__sfr __at(0xC7) DSP0_3;
__sfr __at(0xC7) DSP0_R3_HL;              // *** (Alias) ***
__sfr __at(0xCC) DSP0_4;
__sfr __at(0xCC) DSP0_R4_HL;              // *** (Alias) ***
__sfr __at(0xCD) DSP0_5;
__sfr __at(0xCD) DSP0_R5_HL;              // *** (Alias) ***
__sfr __at(0xCE) DSP0_6;
__sfr __at(0xCE) DSP0_R6_HL;              // *** (Alias) ***
__sfr __at(0xCF) DSP0_7;
__sfr __at(0xCF) DSP0_R7_HL;              // *** (Alias) ***
__sfr __at(0xD4) DSP1_0;
__sfr __at(0xD4) DSP1_R0_HL;              // *** (Alias) ***
__sfr __at(0xD5) DSP1_1;
__sfr __at(0xD5) DSP1_R1_HL;              // *** (Alias) ***
__sfr __at(0xD6) DSP1_2;
__sfr __at(0xD6) DSP1_R2_HL;              // *** (Alias) ***
__sfr __at(0xD7) DSP1_3;
__sfr __at(0xD7) DSP1_R3_HL;              // *** (Alias) ***
__sfr __at(0xDC) DSP1_4;
__sfr __at(0xDC) DSP1_R4_HL;              // *** (Alias) ***
__sfr __at(0xDD) DSP1_5;
__sfr __at(0xDD) DSP1_R5_HL;              // *** (Alias) ***
__sfr __at(0xDE) DSP1_6;
__sfr __at(0xDE) DSP1_R6_HL;              // *** (Alias) ***
__sfr __at(0xDF) DSP1_7;
__sfr __at(0xDF) DSP1_R7_HL;              // *** (Alias) ***
// ***---------------------------------------------------***
// *** PWM Control (SFR)                                 ***
// ***---------------------------------------------------***
__sfr __at(0xE4) BUFA0;
__sfr __at(0xE4) BUF_A0_LH;               // *** (Alias) ***
__sfr __at(0xEC) BUFA1;
__sfr __at(0xEC) BUF_A1_LH;               // *** (Alias) ***
__sfr __at(0xF4) BUFA2;
__sfr __at(0xF4) BUF_A2_LH;               // *** (Alias) ***
__sfr __at(0xFC) BUFA3;
__sfr __at(0xFC) BUF_A3_LH;               // *** (Alias) ***
__sfr __at(0x84) BUFA4;
__sfr __at(0x8C) BUFA5;
__sfr __at(0xE5) BUFB0;
__sfr __at(0xE5) BUF_B0_LH;               // *** (Alias) ***
__sfr __at(0xED) BUFB1;
__sfr __at(0xED) BUF_B1_LH;               // *** (Alias) ***
__sfr __at(0xF5) BUFB2;
__sfr __at(0xF5) BUF_B2_LH;               // *** (Alias) ***
__sfr __at(0xFD) BUFB3;
__sfr __at(0xFD) BUF_B3_LH;               // *** (Alias) ***
__sfr __at(0x85) BUFB4;
__sfr __at(0x8D) BUFB5;
__sfr __at(0xE6) BUFC0;
__sfr __at(0xE6) BUF_C0_LH;               // *** (Alias) ***
__sfr __at(0xEE) BUFC1;
__sfr __at(0xEE) BUF_C1_LH;               // *** (Alias) ***
__sfr __at(0xF6) BUFC2;
__sfr __at(0xF6) BUF_C2_LH;               // *** (Alias) ***
__sfr __at(0xFE) BUFC3;
__sfr __at(0xFE) BUF_C3_LH;               // *** (Alias) ***
__sfr __at(0x86) BUFC4;
__sfr __at(0x8E) BUFC5;
__sfr __at(0xE7) BUFD0;
__sfr __at(0xE7) BUF_D0_LH;               // *** (Alias) ***
__sfr __at(0xEF) BUFD1;
__sfr __at(0xEF) BUF_D1_LH;               // *** (Alias) ***
__sfr __at(0xF7) BUFD2;
__sfr __at(0xF7) BUF_D2_LH;               // *** (Alias) ***
__sfr __at(0xFF) BUFD3;
__sfr __at(0xFF) BUF_D3_LH;               // *** (Alias) ***
__sfr __at(0x87) BUFD4;
__sfr __at(0x97) BUFD5;
// ***---------------------------------------------------***
// *** Scratch Pad Register (SFR)                        ***
// ***---------------------------------------------------***
__sfr __at(0x91) SPR0;
__sfr __at(0xF9) SPR1;
__sfr __at(0xFA) SPR2;
__sfr __at(0xFB) SPR3;
__sfr __at(0x8F) SPR4;
__sfr __at(0x94) SPR5;
__sfr __at(0x9E) SPR6;
__sfr __at(0x9F) SPR7;
// ***---------------------------------------------------***
// *** Comparator Control (SFR)                          ***
// ***---------------------------------------------------***
__sfr __at(0xF3) CMI;
__sfr __at(0xF3) CMI0;
__sfr __at(0x9D) CMI1;
// ***---------------------------------------------------***
// *** DAC Control (SFR)                                 ***
// ***---------------------------------------------------***
__sfr __at(0x96) DA0;
__sfr __at(0x96) DALH;                    // *** (Alias) ***
__sfr __at(0x95) DA1;
__sfr __at(0x92) DA2;
__sfr __at(0x93) DA3;
// ***---------------------------------------------------***
// *** GPIO Control (SFR)                                ***
// ***---------------------------------------------------***
__sfr __at(0x90) PDR0;
__sfr __at(0x98) PDR1;
__sfr __at(0xB0) PDR2;
__sfr __at(0xC0) PDR3;
__sfr __at(0xA0) PDR4;
__sfr __at(0xA8) PDR5;
__sfr __at(0xC8) PIF0;
__sfr __at(0xD8) PIF1;
__sfr __at(0xE8) PIF2;
__sfr __at(0xF8) PIF3;
__sfr __at(0x80) PIF4;
__sfr __at(0xB8) PIF5;
// *********************************************************
// *** End of Declare SFR                                ***
// *********************************************************
                                                            
// *********************************************************
// *** MD6602 Peripheral Register (xdata)                ***
// *********************************************************
                                                            
// ***---------------------------------------------------***
// *** FLC (xdata:0xFF00)                                ***
// ***---------------------------------------------------***
__xdata __at(0xFF00) UI08 FMTIME;      // *** Flash Memory Control Time register
__xdata __at(0xFF01) UI08 FMPAGE;      // *** Flash Memory Page address register
__xdata __at(0xFF02) UI08 FMROW;       // *** Flash Memory Row address register
__xdata __at(0xFF03) UI08 FMCOL;       // *** Flash Memory Column address register
__xdata __at(0xFF04) UI08 FMCTRL;      // *** Flash Memory Control register
__xdata __at(0xFF05) UI08 FMEXE;       // *** Flash Memory Program execute register
__xdata __at(0xFF10) UI08 FMRPD0;      // *** Flash Memory Row Program Data0 register
__xdata __at(0xFF11) UI08 FMRPD1;      // *** Flash Memory Row Program Data0 register
__xdata __at(0xFF12) UI08 FMRPD2;      // *** Flash Memory Row Program Data0 register
__xdata __at(0xFF13) UI08 FMRPD3;      // *** Flash Memory Row Program Data0 register
__xdata __at(0xFF20) UI08 FMRMOD;      // *** Flash Memory Read mode register
__xdata __at(0xFF21) UI08 FMPMOD;      // *** 
__xdata __at(0xFF22) UI08 BUFCR;       // *** 
__xdata __at(0xFF23) UI08 FMPCR;       // *** Flash Program Control Register
// ***---------------------------------------------------***
// *** SYSC (xdata:0xFF80)                               ***
// ***---------------------------------------------------***
__xdata __at(0xFFC0) UI08 SYSC_REMAP;  // *** 
__xdata __at(0xFFC0) UI08 REMAP;       // *** (Alias) Remap Control
__xdata __at(0xFFC1) UI08 TEMP;        // *** Temperature sensor Control
__xdata __at(0xFF80) UI08 CLKCFG0;     // *** Clock Configuration
__xdata __at(0xFF81) UI08 CLKCFG1;     // *** Clock Configuration
__xdata __at(0xFF84) UI08 MCLKE0;      // *** Module Clock Enable 0
__xdata __at(0xFF85) UI08 MCLKE1;      // *** Module Clock Enable 1
__xdata __at(0xFF86) UI08 MCLKE2;      // *** Module Clock Enable 2
__xdata __at(0xFF87) UI08 MCLKE3;      // *** Module Clock Enable 3
__xdata __at(0xFF88) UI08 MCLKE4;      // *** Module Clock Enable 4
__xdata __at(0xFFA0) UI08 LPCTRL;      // *** Low Power Control
__xdata __at(0xFF90) UI08 LVDCTRL;     // *** LVD Control
__xdata __at(0xFFD0) UI08 BR1WH;       // *** 
__xdata __at(0xFFD0) UI08 BB1WH;       // *** (Alias)
__xdata __at(0xFFD1) UI08 BR1WL;       // *** 
__xdata __at(0xFFD1) UI08 BB1WL;       // *** (Alias)
__xdata __at(0xFFE0) UI08 LINECTRL;    // *** 
__xdata __at(0xFFB0) UI08 DEVER;       // *** 
__xdata __at(0xFFB1) UI08 MODEINT;     // *** 
__xdata __at(0xFFB1) UI08 MODEMNT;     // *** 
__xdata __at(0xFF91) UI08 AGNDCTRL;    // *** Analog ground Control
__xdata __at(0xFFE1) UI08 TMR2INCR;    // *** 
// ***---------------------------------------------------***
// *** AD0 (xdata:0xF000)                                ***
// ***---------------------------------------------------***
__xdata __at(0xF000) UI08 ADC0;        // *** ADC Configuration Register
__xdata __at(0xF001) UI08 ADSM0;       // *** ADC Sample Mode Register
__xdata __at(0xF002) UI08 ADSL0;       // *** ADC Channel Sequence L Register
__xdata __at(0xF003) UI08 ADSH0;       // *** ADC Channel Sequence H Register
__xdata __at(0xF004) UI08 ADTRGL0;     // *** ADC Trigger Source L Register
__xdata __at(0xF004) UI08 ADEVTL0;     // *** (Alias) ADC Trigger Source L Register
__xdata __at(0xF005) UI08 ADTRGH0;     // *** ADC Trigger Source H Register
__xdata __at(0xF005) UI08 ADEVTH0;     // *** (Alias) ADC Trigger Source H Register
__xdata __at(0xF006) UI08 ADSTIME0;    // *** (Alias)
__xdata __at(0xF007) UI08 ADEN0;       // *** ADC Enable Register
__xdata __at(0xF008) UI08 ADACCLR0;    // *** ADC Access Counter Clear Register
__xdata __at(0xF009) UI08 ADUPTHL00;   // *** ADC Ch0 Update Threshold L Register
__xdata __at(0xF00A) UI08 ADUPTHH00;   // *** ADC Ch0 Update Threshold H Register
__xdata __at(0xF00B) UI08 ADNUPCNT0;   // *** ADC Ch0 Non-update Count  Register
__xdata __at(0xF00C) UI08 ADEEVS0;     // *** ADC Extend Event Select  Register
__xdata __at(0xF010) UI08 ADOL00;      // *** ADC Ch0 Offset Data L Register
__xdata __at(0xF011) UI08 ADOH00;      // *** ADC Ch0 Offset Data H Register
__xdata __at(0xF012) UI08 ADOL10;      // *** ADC Ch1 Offset Data L Register
__xdata __at(0xF013) UI08 ADOH10;      // *** ADC Ch1 Offset Data H Register
__xdata __at(0xF014) UI08 ADOL20;      // *** ADC Ch2 Offset Data L Register
__xdata __at(0xF015) UI08 ADOH20;      // *** ADC Ch2 Offset Data H Register
__xdata __at(0xF016) UI08 ADOL30;      // *** ADC Ch3 Offset Data L Register
__xdata __at(0xF017) UI08 ADOH30;      // *** ADC Ch3 Offset Data H Register
__xdata __at(0xF018) UI08 ADOL40;      // *** ADC Ch4 Offset Data L Register
__xdata __at(0xF019) UI08 ADOH40;      // *** ADC Ch4 Offset Data H Register
__xdata __at(0xF01A) UI08 ADOL50;      // *** ADC Ch5 Offset Data L Register
__xdata __at(0xF01B) UI08 ADOH50;      // *** ADC Ch5 Offset Data H Register
__xdata __at(0xF01C) UI08 ADOL60;      // *** ADC Ch6 Offset Data L Register
__xdata __at(0xF01D) UI08 ADOH60;      // *** ADC Ch6 Offset Data H Register
__xdata __at(0xF01E) UI08 ADOL70;      // *** ADC Ch7 Offset Data L Register
__xdata __at(0xF01F) UI08 ADOH70;      // *** ADC Ch7 Offset Data H Register
__xdata __at(0xF020) UI08 ADOL80;      // *** ADC Ch8 Offset Data L Register
__xdata __at(0xF021) UI08 ADOH80;      // *** ADC Ch8 Offset Data H Register
__xdata __at(0xF022) UI08 ADOL90;      // *** ADC Ch9 Offset Data L Register
__xdata __at(0xF023) UI08 ADOH90;      // *** ADC Ch9 Offset Data H Register
__xdata __at(0xF024) UI08 ADOLA0;      // *** ADC Ch10 Offset Data L Register
__xdata __at(0xF025) UI08 ADOHA0;      // *** ADC Ch10 Offset Data H Register
__xdata __at(0xF026) UI08 ADOLB0;      // *** ADC Ch11 Offset Data L Register
__xdata __at(0xF027) UI08 ADOHB0;      // *** ADC Ch11 Offset Data H Register
// ***---------------------------------------------------***
// *** AD1 (xdata:0xF080)                                ***
// ***---------------------------------------------------***
__xdata __at(0xF080) UI08 ADC1;        // *** ADC Configuration Register
__xdata __at(0xF081) UI08 ADSM1;       // *** ADC Sample Mode Register
__xdata __at(0xF082) UI08 ADSL1;       // *** ADC Channel Sequence L Register
__xdata __at(0xF083) UI08 ADSH1;       // *** ADC Channel Sequence H Register
__xdata __at(0xF084) UI08 ADTRGL1;     // *** ADC Trigger Source L Register
__xdata __at(0xF084) UI08 ADEVTL1;     // *** (Alias) ADC Trigger Source L Register
__xdata __at(0xF085) UI08 ADTRGH1;     // *** ADC Trigger Source H Register
__xdata __at(0xF085) UI08 ADEVTH1;     // *** (Alias) ADC Trigger Source H Register
__xdata __at(0xF086) UI08 ADSTIME1;    // *** (Alias)
__xdata __at(0xF087) UI08 ADEN1;       // *** ADC Enable Register
__xdata __at(0xF088) UI08 ADACCLR1;    // *** ADC Access Counter Clear Register
__xdata __at(0xF089) UI08 ADUPTHL01;   // *** ADC Ch0 Update Threshold L Register
__xdata __at(0xF08A) UI08 ADUPTHH01;   // *** ADC Ch0 Update Threshold H Register
__xdata __at(0xF08B) UI08 ADNUPCNT1;   // *** ADC Ch0 Non-update Count  Register
__xdata __at(0xF08C) UI08 ADEEVS1;     // *** ADC Extend Event Select  Register
__xdata __at(0xF090) UI08 ADOL01;      // *** ADC Ch0 Offset Data L Register
__xdata __at(0xF091) UI08 ADOH01;      // *** ADC Ch0 Offset Data H Register
__xdata __at(0xF092) UI08 ADOL11;      // *** ADC Ch1 Offset Data L Register
__xdata __at(0xF093) UI08 ADOH11;      // *** ADC Ch1 Offset Data H Register
__xdata __at(0xF094) UI08 ADOL21;      // *** ADC Ch2 Offset Data L Register
__xdata __at(0xF095) UI08 ADOH21;      // *** ADC Ch2 Offset Data H Register
__xdata __at(0xF096) UI08 ADOL31;      // *** ADC Ch3 Offset Data L Register
__xdata __at(0xF097) UI08 ADOH31;      // *** ADC Ch3 Offset Data H Register
__xdata __at(0xF098) UI08 ADOL41;      // *** ADC Ch4 Offset Data L Register
__xdata __at(0xF099) UI08 ADOH41;      // *** ADC Ch4 Offset Data H Register
__xdata __at(0xF09A) UI08 ADOL51;      // *** ADC Ch5 Offset Data L Register
__xdata __at(0xF09B) UI08 ADOH51;      // *** ADC Ch5 Offset Data H Register
__xdata __at(0xF09C) UI08 ADOL61;      // *** ADC Ch6 Offset Data L Register
__xdata __at(0xF09D) UI08 ADOH61;      // *** ADC Ch6 Offset Data H Register
__xdata __at(0xF09E) UI08 ADOL71;      // *** ADC Ch7 Offset Data L Register
__xdata __at(0xF09F) UI08 ADOH71;      // *** ADC Ch7 Offset Data H Register
__xdata __at(0xF0A0) UI08 ADOL81;      // *** ADC Ch8 Offset Data L Register
__xdata __at(0xF0A1) UI08 ADOH81;      // *** ADC Ch8 Offset Data H Register
__xdata __at(0xF0A2) UI08 ADOL91;      // *** ADC Ch9 Offset Data L Register
__xdata __at(0xF0A3) UI08 ADOH91;      // *** ADC Ch9 Offset Data H Register
__xdata __at(0xF0A4) UI08 ADOLA1;      // *** ADC Ch10 Offset Data L Register
__xdata __at(0xF0A5) UI08 ADOHA1;      // *** ADC Ch10 Offset Data H Register
__xdata __at(0xF0A6) UI08 ADOLB1;      // *** ADC Ch11 Offset Data L Register
__xdata __at(0xF0A7) UI08 ADOHB1;      // *** ADC Ch11 Offset Data H Register
// ***---------------------------------------------------***
// *** AD2 (xdata:0xF100)                                ***
// ***---------------------------------------------------***
__xdata __at(0xF100) UI08 ADC2;        // *** ADC Configuration Register
__xdata __at(0xF101) UI08 ADSM2;       // *** 
__xdata __at(0xF102) UI08 ADSL2;       // *** ADC Channel Sequence L Register
__xdata __at(0xF103) UI08 ADSH2;       // *** ADC Channel Sequence H Register
__xdata __at(0xF104) UI08 ADTRGL2;     // *** ADC Trigger Source L Register
__xdata __at(0xF104) UI08 AD2EVTL2;    // *** (Alias) ADC Trigger Source L Register
__xdata __at(0xF105) UI08 ADTRGH2;     // *** ADC Trigger Source H Register
__xdata __at(0xF105) UI08 AD2EVTH2;    // *** (Alias) ADC Trigger Source H Register
__xdata __at(0xF106) UI08 ADSTIME2;    // *** (Alias)
__xdata __at(0xF107) UI08 ADEN2;       // *** ADC Enable Register
__xdata __at(0xF108) UI08 ADACCLR2;    // *** ADC Access counter clear Register
__xdata __at(0xF109) UI08 ADUPTH0L2;   // *** ADC Ch0 Update Threshold L Register
__xdata __at(0xF10A) UI08 ADUPTH0H2;   // *** ADC Ch0 Update Threshold  H Register
__xdata __at(0xF10B) UI08 ADNUPCNT2;   // *** ADC Ch0 Non-update Count Register
__xdata __at(0xF10C) UI08 ADEEVS2;     // *** ADC Extend Event Select Register
__xdata __at(0xF110) UI08 ADOL02;      // *** ADC Ch0 Offset Data L Register
__xdata __at(0xF111) UI08 ADOH02;      // *** ADC Ch0 Offset Data H Register
__xdata __at(0xF112) UI08 ADOL12;      // *** ADC Ch1 Offset Data L Register
__xdata __at(0xF113) UI08 ADOH12;      // *** ADC Ch1 Offset Data H Register
__xdata __at(0xF114) UI08 ADOL22;      // *** ADC Ch2 Offset Data L Register
__xdata __at(0xF115) UI08 ADOH22;      // *** ADC Ch2 Offset Data H Register
__xdata __at(0xF116) UI08 ADOL32;      // *** ADC Ch3 Offset Data L Register
__xdata __at(0xF117) UI08 ADOH32;      // *** ADC Ch3 Offset Data H Register
__xdata __at(0xF118) UI08 ADOL42;      // *** ADC Ch4 Offset Data L Register
__xdata __at(0xF119) UI08 ADOH42;      // *** ADC Ch4 Offset Data H Register
__xdata __at(0xF11A) UI08 ADOL52;      // *** ADC Ch5 Offset Data L Register
__xdata __at(0xF11B) UI08 ADOH52;      // *** ADC Ch5 Offset Data H Register
__xdata __at(0xF11C) UI08 ADOL62;      // *** ADC Ch6 Offset Data L Register
__xdata __at(0xF11D) UI08 ADOH62;      // *** ADC Ch6 Offset Data H Register
__xdata __at(0xF11E) UI08 ADOL72;      // *** ADC Ch7 Offset Data L Register
__xdata __at(0xF11F) UI08 ADOH72;      // *** ADC Ch7 Offset Data H Register
__xdata __at(0xF120) UI08 ADOL82;      // *** ADC Ch8 Offset Data L Register
__xdata __at(0xF121) UI08 ADOH82;      // *** ADC Ch8 Offset Data H Register
__xdata __at(0xF122) UI08 ADOL92;      // *** ADC Ch9 Offset Data L Register
__xdata __at(0xF123) UI08 ADOH92;      // *** ADC Ch9 Offset Data H Register
__xdata __at(0xF124) UI08 ADOLA2;      // *** ADC Ch10 Offset Data L Register
__xdata __at(0xF125) UI08 ADOHA2;      // *** ADC Ch10 Offset Data H Register
__xdata __at(0xF126) UI08 ADOLB2;      // *** ADC Ch10 Offset Data L Register
__xdata __at(0xF127) UI08 ADOHB2;      // *** ADC Ch11 Offset Data H Register
// ***---------------------------------------------------***
// *** CMP0 (xdata:0xF380)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF380) UI08 MIXCMP0;     // *** Mix Comparator 0 Configuration
__xdata __at(0xF380) UI08 CMP0;        // *** (Alias)
__xdata __at(0xF381) UI08 MIXCMS0;     // *** Mix Comparator 0 Functional Select
__xdata __at(0xF381) UI08 CMS0;        // *** (Alias)
__xdata __at(0xF382) UI08 MIXCMR0;     // *** Mix Comparator 0 Result
// ***---------------------------------------------------***
// *** CMP1 (xdata:0xF400)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF400) UI08 MIXCMP1;     // *** Mix Comparator 1 Configuration
__xdata __at(0xF400) UI08 CMP1;        // *** (Alias)
__xdata __at(0xF401) UI08 MIXCMS1;     // *** Mix Comparator 1 Functional Select
__xdata __at(0xF401) UI08 CMS1;        // *** (Alias)
__xdata __at(0xF402) UI08 MIXCMR1;     // *** Mix Comparator 1 Result
// ***---------------------------------------------------***
// *** CMP2 (xdata:0xF480)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF480) UI08 MIXCMP2;     // *** Mix Comparator 2 Configuration
__xdata __at(0xF480) UI08 CMP2;        // *** (Alias)
__xdata __at(0xF481) UI08 MIXCMS2;     // *** Mix Comparator 2 Functional Select
__xdata __at(0xF481) UI08 CMS2;        // *** (Alias)
__xdata __at(0xF482) UI08 MIXCMR2;     // *** Mix Comparator 2 Result
// ***---------------------------------------------------***
// *** CMP3 (xdata:0xF500)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF500) UI08 MIXCMP3;     // *** Mix Comparator 3 Configuration
__xdata __at(0xF500) UI08 CMP3;        // *** (Alias)
__xdata __at(0xF501) UI08 MIXCMS3;     // *** Mix Comparator 3 Functional Select
__xdata __at(0xF501) UI08 CMS3;        // *** (Alias)
__xdata __at(0xF502) UI08 MIXCMR3;     // *** Mix Comparator 3 Result
// ***---------------------------------------------------***
// *** CMP4 (xdata:0xED80)                               ***
// ***---------------------------------------------------***
__xdata __at(0xED80) UI08 MIXCMP4;     // *** Mix Comparator 4 Configuration
__xdata __at(0xED81) UI08 MIXCMS4;     // *** Mix Comparator 4 Functional Select
__xdata __at(0xED82) UI08 MIXCMR4;     // *** Mix Comparator 4 Result
// ***---------------------------------------------------***
// *** CMP5 (xdata:0xEE00)                               ***
// ***---------------------------------------------------***
__xdata __at(0xEE00) UI08 MIXCMP5;     // *** Mix Comparator 5 Configuration
__xdata __at(0xEE01) UI08 MIXCMS5;     // *** Mix Comparator 5 Functional Select
__xdata __at(0xEE02) UI08 MIXCMR5;     // *** Mix Comparator 5 Result
// ***---------------------------------------------------***
// *** DSP0 (xdata:0xF780)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF780) UI08 DSP0CTRL;    // *** DSP0 Control Register
__xdata __at(0xF781) UI08 DSP0EXEC;    // *** DSP0 Execution Register
__xdata __at(0xF782) UI08 DSP0TRG;     // *** DSP0 Execution Trigger Status
__xdata __at(0xF783) UI08 DSP0RST;     // *** DSP0 Access Counter Clear Register
__xdata __at(0xF784) UI08 DSP0DBG;     // *** DSP0 Debug Register
__xdata __at(0xF788) UI08 DSP0R8;      // *** DSP0 R8
__xdata __at(0xF788) UI08 DSP0_R8_HL;  // *** (Alias)
__xdata __at(0xF789) UI08 DSP0R9;      // *** DSP0 R9
__xdata __at(0xF789) UI08 DSP0_R9_HL;  // *** (Alias)
__xdata __at(0xF78A) UI08 DSP0R10;     // *** DSP0 R10
__xdata __at(0xF78A) UI08 DSP0_R10_HL; // *** (Alias)
__xdata __at(0xF78B) UI08 DSP0R11;     // *** DSP0 R11
__xdata __at(0xF78B) UI08 DSP0_R11_HL; // *** (Alias)
__xdata __at(0xF78C) UI08 DSP0R12;     // *** DSP0 R12
__xdata __at(0xF78C) UI08 DSP0_R12_HL; // *** (Alias)
__xdata __at(0xF78D) UI08 DSP0R13;     // *** DSP0 R13
__xdata __at(0xF78D) UI08 DSP0_R13_HL; // *** (Alias)
__xdata __at(0xF78E) UI08 DSP0R14;     // *** DSP0 R14
__xdata __at(0xF78E) UI08 DSP0_R14_HL; // *** (Alias)
__xdata __at(0xF78F) UI08 DSP0R15;     // *** DSP0 R15
__xdata __at(0xF78F) UI08 DSP0_R15_HL; // *** (Alias)
__xdata __at(0xF790) UI08 DSP0ACC0;    // *** DSP0 ACC[7:0]
__xdata __at(0xF790) UI08 DSP0_ACC_0;  // *** (Alias)
__xdata __at(0xF791) UI08 DSP0ACC1;    // *** DSP0 ACC[15:8]
__xdata __at(0xF791) UI08 DSP0_ACC_1;  // *** (Alias)
__xdata __at(0xF792) UI08 DSP0ACC2;    // *** DSP0 ACC[23:15]
__xdata __at(0xF792) UI08 DSP0_ACC_2;  // *** (Alias)
__xdata __at(0xF793) UI08 DSP0ACC3;    // *** DSP0 ACC[31:24]
__xdata __at(0xF793) UI08 DSP0_ACC_3;  // *** (Alias)
__xdata __at(0xF794) UI08 DSP0ACC4;    // *** DSP0 ACC[36:32]
__xdata __at(0xF794) UI08 DSP0_ACC_4;  // *** (Alias)
__xdata __at(0xF7A0) UI08 DSP0PRGDATL; // *** DSP0 Program Memory LSB Side
__xdata __at(0xF7A0) UI08 DSP0_PRG_DATL;  // *** (Alias)
__xdata __at(0xF7A1) UI08 DSP0PRGDATH; // *** DSP0 Program Memory MSB Side
__xdata __at(0xF7A1) UI08 DSP0_PRG_DATH;  // *** (Alias)
__xdata __at(0xF7A2) UI08 DSP0PRGADR;  // *** DSP0 Program Memory Address 
__xdata __at(0xF7A2) UI08 DSP0_PRG_ADR;   // *** (Alias)
__xdata __at(0xF798) UI08 DSP0C0;      // *** DSP0 C0
__xdata __at(0xF799) UI08 DSP0C1;      // *** DSP0 C1
__xdata __at(0xF79A) UI08 DSP0C2;      // *** DSP0 C2
__xdata __at(0xF79B) UI08 DSP0C3;      // *** DSP0 C3
__xdata __at(0xF79C) UI08 DSP0C4;      // *** DSP0 C4
__xdata __at(0xF79D) UI08 DSP0C5;      // *** DSP0 C5
__xdata __at(0xF79E) UI08 DSP0C6;      // *** DSP0 C6
__xdata __at(0xF79F) UI08 DSP0C7;      // *** DSP0 C7
__xdata __at(0xF7A3) UI08 DSP0LDA;     // *** DSP0 LDR Load Address Register
__xdata __at(0xF785) UI08 DSP0CTRL2;   // *** DSP0 Control 2 Register
__xdata __at(0xF786) UI08 DSP0CNSTEN;  // *** DSP0 CVR enable Register
__xdata __at(0xF7A8) UI08 DSP0MAX;     // *** DSP0 Maximum Value Register
__xdata __at(0xF7A9) UI08 DSP0MIN;     // *** DSP0 Minimum Value Register
// ***---------------------------------------------------***
// *** DSP1 (xdata:0xF800)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF800) UI08 DSP1CTRL;    // *** DSP1 Control Register
__xdata __at(0xF801) UI08 DSP1EXEC;    // *** DSP1 Execution Register
__xdata __at(0xF802) UI08 DSP1TRG;     // *** DSP1 Execution Trigger Status
__xdata __at(0xF803) UI08 DSP1RST;     // *** DSP1 Access Counter Clear Register
__xdata __at(0xF804) UI08 DSP1DBG;     // *** DSP1 Debug Register
__xdata __at(0xF808) UI08 DSP1R8;      // *** DSP1 R8
__xdata __at(0xF808) UI08 DSP1_R8_HL;  // *** (Alias)
__xdata __at(0xF809) UI08 DSP1R9;      // *** DSP1 R9
__xdata __at(0xF809) UI08 DSP1_R9_HL;  // *** (Alias)
__xdata __at(0xF80A) UI08 DSP1R10;     // *** DSP1 R10
__xdata __at(0xF80A) UI08 DSP1_R10_HL; // *** (Alias)
__xdata __at(0xF80B) UI08 DSP1R11;     // *** DSP1 R11
__xdata __at(0xF80B) UI08 DSP1_R11_HL; // *** (Alias)
__xdata __at(0xF80C) UI08 DSP1R12;     // *** DSP1 R12
__xdata __at(0xF80C) UI08 DSP1_R12_HL; // *** (Alias)
__xdata __at(0xF80D) UI08 DSP1R13;     // *** DSP1 R13
__xdata __at(0xF80D) UI08 DSP1_R13_HL; // *** (Alias)
__xdata __at(0xF80E) UI08 DSP1R14;     // *** DSP1 R14
__xdata __at(0xF80E) UI08 DSP1_R14_HL; // *** (Alias)
__xdata __at(0xF80F) UI08 DSP1R15;     // *** DSP1 R15
__xdata __at(0xF80F) UI08 DSP1_R15_HL; // *** (Alias)
__xdata __at(0xF810) UI08 DSP1ACC0;    // *** DSP1 ACC[7:0]
__xdata __at(0xF810) UI08 DSP1_ACC_0;  // *** (Alias)
__xdata __at(0xF811) UI08 DSP1ACC1;    // *** DSP1 ACC[15:8]
__xdata __at(0xF811) UI08 DSP1_ACC_1;  // *** (Alias)
__xdata __at(0xF812) UI08 DSP1ACC2;    // *** DSP1 ACC[23:15]
__xdata __at(0xF812) UI08 DSP1_ACC_2;  // *** (Alias)
__xdata __at(0xF813) UI08 DSP1ACC3;    // *** DSP1 ACC[31:24]
__xdata __at(0xF813) UI08 DSP1_ACC_3;  // *** (Alias)
__xdata __at(0xF814) UI08 DSP1ACC4;    // *** DSP1 ACC[36:32]
__xdata __at(0xF814) UI08 DSP1_ACC_4;  // *** (Alias)
__xdata __at(0xF820) UI08 DSP1PRGDATL; // *** DSP1 Program Memory LSB Side
__xdata __at(0xF820) UI08 DSP1_PRG_DATL;  // *** (Alias)
__xdata __at(0xF821) UI08 DSP1PRGDATH; // *** DSP1 Program Memory MSB Side
__xdata __at(0xF821) UI08 DSP1_PRG_DATH;  // *** (Alias)
__xdata __at(0xF822) UI08 DSP1PRGADR;  // *** DSP1 Program Memory Address 
__xdata __at(0xF822) UI08 DSP1_PRG_ADR;   // *** (Alias)
__xdata __at(0xF818) UI08 DSP1C0;      // *** DSP1 C0
__xdata __at(0xF819) UI08 DSP1C1;      // *** DSP1 C1
__xdata __at(0xF81A) UI08 DSP1C2;      // *** DSP1 C2
__xdata __at(0xF81B) UI08 DSP1C3;      // *** DSP1 C3
__xdata __at(0xF81C) UI08 DSP1C4;      // *** DSP1 C4
__xdata __at(0xF81D) UI08 DSP1C5;      // *** DSP1 C5
__xdata __at(0xF81E) UI08 DSP1C6;      // *** DSP1 C6
__xdata __at(0xF81F) UI08 DSP1C7;      // *** DSP1 C7 
__xdata __at(0xF823) UI08 DSP1LDA;     // *** DSP1 LDR Load Address Register
__xdata __at(0xF805) UI08 DSP1CTRL2;   // *** DSP1 Control 2 Register
__xdata __at(0xF806) UI08 DSP1CNSTEN;  // *** DSP1 CVR enable Register
__xdata __at(0xF828) UI08 DSP1MAX;     // *** DSP1 Maximum Value Register
__xdata __at(0xF829) UI08 DSP1MIN;     // *** DSP1 Minimum Value Register
// ***---------------------------------------------------***
// *** GPIO (xdata:0xFE00)                               ***
// ***---------------------------------------------------***
__xdata __at(0xFE00) UI08 PFS0;        // *** Pin Function Select for GPIO0
__xdata __at(0xFE00) UI08 PFSL0;       // *** (Alias) Pin Function Select for GPIO0
__xdata __at(0xFE01) UI08 PFS1;        // *** Pin Function Select for GPIO1
__xdata __at(0xFE02) UI08 PFS2;        // *** Pin Function Select for GPIO2
__xdata __at(0xFE03) UI08 PFS3;        // *** Pin Function Select for GPIO3
__xdata __at(0xFE04) UI08 PDD0;        // *** Pin Data Direction for GPIO0
__xdata __at(0xFE05) UI08 PDD1;        // *** Pin Data Direction for GPIO1
__xdata __at(0xFE06) UI08 PDD2;        // *** Pin Data Direction for GPIO2
__xdata __at(0xFE07) UI08 PDD3;        // *** Pin Data Direction for GPIO3
__xdata __at(0xFE08) UI08 PPU0;        // *** Pin Pull Up Control for GPIO0
__xdata __at(0xFE09) UI08 PPU1;        // *** 
__xdata __at(0xFE0A) UI08 PPU2;        // *** Pin Pull Up Control for GPIO2
__xdata __at(0xFE0B) UI08 PPU3;        // *** Pin Pull Up Control for GPIO3
__xdata __at(0xFE0C) UI08 PPD0;        // *** 
__xdata __at(0xFE0D) UI08 PPD1;        // *** Pin Pull Down Control for GPIO1
__xdata __at(0xFE0E) UI08 PPD2;        // *** 
__xdata __at(0xFE0F) UI08 PPD3;        // *** 
__xdata __at(0xFE10) UI08 PIE0;        // *** Pin Interrupt Enable for GPIO0
__xdata __at(0xFE11) UI08 PIE1;        // *** Pin Interrupt Enable for GPIO1
__xdata __at(0xFE12) UI08 PIE2;        // *** Pin Interrupt Enable for GPIO2
__xdata __at(0xFE13) UI08 PIE3;        // *** Pin Interrupt Enable for GPIO3
__xdata __at(0xFE14) UI08 PIS0;        // *** Pin Interrupt Sense for GPIO0
__xdata __at(0xFE15) UI08 PIS1;        // *** Pin Interrupt Sense for GPIO1
__xdata __at(0xFE16) UI08 PIS2;        // *** Pin Interrupt Sense for GPIO2
__xdata __at(0xFE17) UI08 PIS3;        // *** Pin Interrupt Sense for GPIO3
__xdata __at(0xFE18) UI08 PIL0;        // *** Pin Interrupt Level for GPIO0
__xdata __at(0xFE19) UI08 PIL1;        // *** Pin Interrupt Level for GPIO1
__xdata __at(0xFE1A) UI08 PIL2;        // *** Pin Interrupt Level for GPIO2
__xdata __at(0xFE1B) UI08 PIL3;        // *** Pin Interrupt Level for GPIO3
__xdata __at(0xFE1C) UI08 PIB0;        // *** Pin Interrupt Both Edge for GPIO0
__xdata __at(0xFE1D) UI08 PIB1;        // *** Pin Interrupt Both Edge for GPIO1
__xdata __at(0xFE1E) UI08 PIB2;        // *** Pin Interrupt Both Edge for GPIO2
__xdata __at(0xFE1F) UI08 PIB3;        // *** Pin Interrupt Both Edge for GPIO3
__xdata __at(0xFE20) UI08 PEADC0;      // *** ADC Event Select from GPIO0
__xdata __at(0xFE21) UI08 PEADC1;      // *** ADC Event Select from GPIO1
__xdata __at(0xFE22) UI08 PEADC2;      // *** ADC Event Select from GPIO2
__xdata __at(0xFE23) UI08 PEADC3;      // *** ADC Event Select from GPIO3
__xdata __at(0xFE24) UI08 PEPWM0;      // *** PWM Event Select from GPIO0
__xdata __at(0xFE25) UI08 PEPWM1;      // *** PWM Event Select from GPIO1
__xdata __at(0xFE26) UI08 PEPWM2;      // *** PWM Event Select from GPIO2
__xdata __at(0xFE27) UI08 PEPWM3;      // *** PWM Event Select from GPIO3
__xdata __at(0xFE28) UI08 PEMETHOD;    // *** PWM Event Gathering Method
__xdata __at(0xFE28) UI08 PEMETHOD0;   // *** (Alias) PWM Event Gathering Method
__xdata __at(0xFE29) UI08 PFSH0;       // *** Pin Function Select H for GPIO0
__xdata __at(0xFE2A) UI08 PFSE1;       // *** Pin Function Extend Select for GPIO1
__xdata __at(0xFE40) UI08 PFS4;        // *** Pin Function Select for GPIO4
__xdata __at(0xFE41) UI08 PFS5;        // *** Pin Function Select for GPIO5
__xdata __at(0xFE44) UI08 PDD4;        // *** Pin Data Direction for GPIO4
__xdata __at(0xFE45) UI08 PDD5;        // *** Pin Data Direction for GPIO5
__xdata __at(0xFE48) UI08 PPU4;        // *** Pin Pull Up Control for GPIO4
__xdata __at(0xFE4D) UI08 PPD5;        // *** Pin Pull Down Control for GPIO5
__xdata __at(0xFE50) UI08 PIE4;        // *** Pin Interrupt Enable for GPIO4
__xdata __at(0xFE51) UI08 PIE5;        // *** Pin Interrupt Enable for GPIO5
__xdata __at(0xFE54) UI08 PIS4;        // *** Pin Interrupt Sense for GPIO4
__xdata __at(0xFE55) UI08 PIS5;        // *** Pin Interrupt Sense for GPIO5
__xdata __at(0xFE58) UI08 PIL4;        // *** Pin Interrupt Level for GPIO4
__xdata __at(0xFE59) UI08 PIL5;        // *** Pin Interrupt Level for GPIO5
__xdata __at(0xFE5C) UI08 PIB4;        // *** Pin Interrupt Both Edge for GPIO4
__xdata __at(0xFE5D) UI08 PIB5;        // *** Pin Interrupt Both Edge for GPIO5
__xdata __at(0xFE60) UI08 PEADC4;      // *** ADC Event Select from GPIO4
__xdata __at(0xFE61) UI08 PEADC5;      // *** ADC Event Select from GPIO5
__xdata __at(0xFE64) UI08 PEPWM4;      // *** PWM Event Select from GPIO4
__xdata __at(0xFE65) UI08 PEPWM5;      // *** PWM Event Select from GPIO5
__xdata __at(0xFE68) UI08 PEMETHOD1;   // *** PWM Event Gathering Method 1
__xdata __at(0xFE70) UI08 SIS;         // *** Serial input select Register
__xdata __at(0xFE71) UI08 I2CIS;       // *** I2C input select Register
__xdata __at(0xFE72) UI08 TMRIS;       // *** TMR input select Register
// ***---------------------------------------------------***
// *** I2C (xdata:0xFC00)                                ***
// ***---------------------------------------------------***
__xdata __at(0xFC00) UI08 ICCR;        // *** I2C Bus Control Register
__xdata __at(0xFC01) UI08 ICSR;        // *** I2C Bus Status Register
__xdata __at(0xFC02) UI08 ICRXDR;      // *** I2C Bus Receive Data Register
__xdata __at(0xFC03) UI08 ICTXDR;      // *** I2C Bus Transmit Data Register
__xdata __at(0xFC04) UI08 ICTSAR;      // *** I2C Transmit Address Register
__xdata __at(0xFC05) UI08 ICSAR;       // *** I2C Slave Address Register
__xdata __at(0xFC06) UI08 ICCLK;       // *** I2C Clock Divid Register
__xdata __at(0xFC07) UI08 ICCMD;       // *** I2C Command Register
__xdata __at(0xFC08) UI08 ICSSTR;      // *** I2C Bus SDA Setup Time Register
__xdata __at(0xFC09) UI08 ICSHTR;      // *** I2C Bus SDA Hold Time Register
__xdata __at(0xFC0A) UI08 ICHDSR0;     // *** I2C Bus SDA Hardware Status Register 0
__xdata __at(0xFC0B) UI08 ICHDSR1;     // *** I2C Bus SDA Hardware Status Register 1
__xdata __at(0xFC10) UI08 ICTIMER;     // *** I2C Time Base Register
__xdata __at(0xFC11) UI08 SMBINT;      // *** SMBUS INT Status Register
// ***---------------------------------------------------***
// *** UART (xdata:0xFC80)                               ***
// ***---------------------------------------------------***
__xdata __at(0xFC80) UI08 UARTRBR;     // *** Receiver Buffer Register
__xdata __at(0xFC80) UI08 UARTTR;      // *** (Alias) Transmitter Holding Register
__xdata __at(0xFC80) UI08 UARTDL1;     // *** (Alias) Divisor Latch Byte 1
__xdata __at(0xFC80) UI08 UARTRXD;     // *** (Alias)
__xdata __at(0xFC80) UI08 UARTTXD;     // *** (Alias)
__xdata __at(0xFC80) UI08 UARTDIVL;    // *** (Alias)
__xdata __at(0xFC81) UI08 UARTIER;     // *** Interrupt Enable Register
__xdata __at(0xFC81) UI08 UARTDL2;     // *** (Alias) Divisor Latch Byte 2
__xdata __at(0xFC81) UI08 UARTDIVH;    // *** (Alias)
__xdata __at(0xFC81) UI08 UARTIE;      // *** (Alias)
__xdata __at(0xFC82) UI08 UARTIIR;     // *** Interrupt  Identification Register
__xdata __at(0xFC82) UI08 UARTFCR;     // *** (Alias) FIFO Control Register
__xdata __at(0xFC82) UI08 UARTII;      // *** (Alias)
__xdata __at(0xFC82) UI08 UARTFC;      // *** (Alias)
__xdata __at(0xFC83) UI08 UARTLCR;     // *** Line Control Register
__xdata __at(0xFC83) UI08 UARTLC;      // *** (Alias)
__xdata __at(0xFC84) UI08 UARTMCR;     // *** 
__xdata __at(0xFC84) UI08 UARTMC;      // *** (Alias)
__xdata __at(0xFC85) UI08 UARTLSR;     // *** Line Status Register
__xdata __at(0xFC85) UI08 UARTLS;      // *** (Alias)
__xdata __at(0xFC86) UI08 UARTMSR;     // *** 
__xdata __at(0xFC86) UI08 UARTMS;      // *** (Alias)
__xdata __at(0xFC87) UI08 UARTSR;      // *** 
// ***---------------------------------------------------***
// *** WDT(xdata:0xFE80)                                 ***
// ***---------------------------------------------------***
__xdata __at(0xFE80) UI08 WTCNT;       // *** Watchdog Timer Counter
__xdata __at(0xFE81) UI08 WTCSR;       // *** Watchdog Timer Control/Status
__xdata __at(0xFE82) UI08 WTGRD;       // *** Watchdog Timer Reg. access GUARD
// ***---------------------------------------------------***
// *** TMR (xdata:0xFA00)                                ***
// ***---------------------------------------------------***
__xdata __at(0xFA00) UI08 TMOD0;       // *** Timer control Mode Register
__xdata __at(0xFA01) UI08 TMOD1;       // *** Timer control Mode Register
__xdata __at(0xFA02) UI08 TMSR0;       // *** Timer 0 Status Register
__xdata __at(0xFA03) UI08 TMSR1;       // *** Timer 1 Status Register
__xdata __at(0xFA04) UI08 TMCR0;       // *** Timer 0 Control register
__xdata __at(0xFA05) UI08 TMCR1;       // *** Timer 1 Control register
__xdata __at(0xFA06) UI08 TMECR0;      // *** Timer 0 event clear register
__xdata __at(0xFA07) UI08 TMECR1;      // *** Timer 1 event clear register
__xdata __at(0xFA08) UI08 TEMOD0;      // *** Timer 0 extend mode register
__xdata __at(0xFA09) UI08 TEMOD1;      // *** Timer 1 extend mode register
__xdata __at(0xFA0A) UI08 TICS0;       // *** Timer 0 input capture select register
__xdata __at(0xFA0B) UI08 TICS1;       // *** Timer 1 input capture select register
__xdata __at(0xFA0C) UI08 TXES0;       // *** Timer 0 external event select register
__xdata __at(0xFA0D) UI08 TXES1;       // *** Timer 1 external event select register
__xdata __at(0xFA10) UI08 TCMPAL0;     // *** Timer 0 compare match A-L
__xdata __at(0xFA11) UI08 TCMPAH0;     // *** Timer 0 compare match A-H
__xdata __at(0xFA12) UI08 TCMPAL1;     // *** Timer 1 compare match A-L
__xdata __at(0xFA13) UI08 TCMPAH1;     // *** Timer 1 compare match A-H
__xdata __at(0xFA14) UI08 TCMPBL0;     // *** Timer 0 compare match B-L
__xdata __at(0xFA15) UI08 TCMPBH0;     // *** Timer 0 compare match B-H
__xdata __at(0xFA16) UI08 TCMPBL1;     // *** Timer 1 compare match B-L
__xdata __at(0xFA17) UI08 TCMPBH1;     // *** Timer 1 compare match B-H
__xdata __at(0xFA18) UI08 TCNTL0;      // *** Timer 0 counter L
__xdata __at(0xFA19) UI08 TCNTH0;      // *** Timer 0 counter H
__xdata __at(0xFA1A) UI08 TCNTL1;      // *** Timer 1 counter L
__xdata __at(0xFA1B) UI08 TCNTH1;      // *** Timer 1 counter H
__xdata __at(0xFA20) UI08 TBUFAL0;     // *** Timer 0 buffer A-L
__xdata __at(0xFA21) UI08 TBUFAL1;     // *** Timer 1 buffer A-L
__xdata __at(0xFA22) UI08 TBUFAH0;     // *** Timer 0 buffer A-H
__xdata __at(0xFA23) UI08 TBUFAH1;     // *** Timer 1 buffer A-H
__xdata __at(0xFA24) UI08 TBUFBL0;     // *** Timer 0 buffer B-L
__xdata __at(0xFA25) UI08 TBUFBL1;     // *** Timer 1 buffer B-L
__xdata __at(0xFA26) UI08 TBUFBH0;     // *** Timer 0 buffer B-H
__xdata __at(0xFA27) UI08 TBUFBH1;     // *** Timer 1 buffer B-H
__xdata __at(0xFA30) UI08 TOACR0;      // *** Timer 0 TIOA output control register
__xdata __at(0xFA31) UI08 TOACR1;      // *** Timer 1 TIOA output control register
__xdata __at(0xFA32) UI08 TOBCR0;      // *** Timer 0 TIOB output control register
__xdata __at(0xFA33) UI08 TOBCR1;      // *** Timer 1 TIOB output control register
__xdata __at(0xFA34) UI08 TPCIS0;      // *** Timer 0 phase counting input select register
__xdata __at(0xFA35) UI08 TPCIS1;      // *** Timer 1 phase counting input select register
__xdata __at(0xFA40) UI08 TMOD2;       // *** Timer 2 control Mode Register
__xdata __at(0xFA41) UI08 TMOD3;       // *** Timer 3 control Mode Register
__xdata __at(0xFA42) UI08 TMSR2;       // *** Timer 2 Status Register
__xdata __at(0xFA43) UI08 TMSR3;       // *** Timer 3 Status Register
__xdata __at(0xFA44) UI08 TMCR2;       // *** Timer 2 Control register
__xdata __at(0xFA45) UI08 TMCR3;       // *** Timer 3 Control register
__xdata __at(0xFA46) UI08 TMECR2;      // *** Timer 2 event clear register
__xdata __at(0xFA47) UI08 TMECR3;      // *** Timer 3 event clear register
__xdata __at(0xFA48) UI08 TEMOD2;      // *** Timer 2 extend mode register
__xdata __at(0xFA49) UI08 TEMOD3;      // *** Timer 3 extend mode register
__xdata __at(0xFA4A) UI08 TICS2;       // *** Timer 2 input capture select  register
__xdata __at(0xFA4B) UI08 TICS3;       // *** Timer 3 input capture select register
__xdata __at(0xFA4C) UI08 TXES2;       // *** Timer 2 external event select register
__xdata __at(0xFA4D) UI08 TXES3;       // *** Timer 3 external event select register
__xdata __at(0xFA50) UI08 TCMPAL2;     // *** Timer 2 compare match A-L
__xdata __at(0xFA51) UI08 TCMPAH2;     // *** Timer 2 compare match A-H
__xdata __at(0xFA52) UI08 TCMPAL3;     // *** Timer 3 compare match A-L
__xdata __at(0xFA53) UI08 TCMPAH3;     // *** Timer 3 compare match A-H
__xdata __at(0xFA54) UI08 TCMPBL2;     // *** Timer 2 compare match B-L
__xdata __at(0xFA55) UI08 TCMPBH2;     // *** Timer 2 compare match B-H
__xdata __at(0xFA56) UI08 TCMPBL3;     // *** Timer 3 compare match B-L
__xdata __at(0xFA57) UI08 TCMPBH3;     // *** Timer 3 compare match B-H
__xdata __at(0xFA58) UI08 TCNTL2;      // *** Timer 2 counter L
__xdata __at(0xFA59) UI08 TCNTH2;      // *** Timer 2 counter H
__xdata __at(0xFA5A) UI08 TCNTL3;      // *** Timer 3 counter L
__xdata __at(0xFA5B) UI08 TCNTH3;      // *** Timer 3 counter H
__xdata __at(0xFA60) UI08 TBUFAL2;     // *** Timer 2 buffer A-L
__xdata __at(0xFA61) UI08 TBUFAL3;     // *** Timer 3 buffer A-L
__xdata __at(0xFA62) UI08 TBUFAH2;     // *** Timer 2 buffer A-H
__xdata __at(0xFA63) UI08 TBUFAH3;     // *** Timer 3 buffer A-H
__xdata __at(0xFA64) UI08 TBUFBL2;     // *** Timer 2 buffer B-L
__xdata __at(0xFA65) UI08 TBUFBL3;     // *** Timer 3 buffer B-L
__xdata __at(0xFA66) UI08 TBUFBH2;     // *** Timer 2 buffer B-H
__xdata __at(0xFA67) UI08 TBUFBH3;     // *** Timer 3 buffer B-H
__xdata __at(0xFA70) UI08 TOACR2;      // *** Timer 2 TIOA output control register
__xdata __at(0xFA71) UI08 TOACR3;      // *** Timer 3 TIOA output control register
__xdata __at(0xFA72) UI08 TOBCR2;      // *** Timer 2 TIOB output control register
__xdata __at(0xFA73) UI08 TOBCR3;      // *** Timer 3 TIOB output control register
__xdata __at(0xFA74) UI08 TPCIS2;      // *** Timer 2 phase counting input select register
__xdata __at(0xFA75) UI08 TPCIS3;      // *** Timer 3 phase counting input select register
// ***---------------------------------------------------***
// *** OPAMP0 (xdata:0xF600)                             ***
// ***---------------------------------------------------***
__xdata __at(0xF600) UI08 MIXOPA0;     // *** Mix OPAMP0 Configuration
__xdata __at(0xF600) UI08 OPA0;        // *** (Alias)
__xdata __at(0xF601) UI08 MIXPGA0;     // *** Mix OPAMP0 PGA Configuration
__xdata __at(0xF601) UI08 PGA0;        // *** (Alias)
// ***---------------------------------------------------***
// *** OPAMP1 (xdata:0xF680)                             ***
// ***---------------------------------------------------***
__xdata __at(0xF680) UI08 MIXOPA1;     // *** Mix OPAMP1 Configuration
__xdata __at(0xF680) UI08 OPA1;        // *** (Alias)
__xdata __at(0xF681) UI08 MIXPGA1;     // *** Mix OPAMP1 PGA Configuration
__xdata __at(0xF681) UI08 PGA1;        // *** (Alias)
// ***---------------------------------------------------***
// *** OPAMP2 (xdata:0xEF00)                             ***
// ***---------------------------------------------------***
__xdata __at(0xEF00) UI08 MIXOPA2;     // *** Mix OPAMP2 Configuration
__xdata __at(0xEF01) UI08 MIXPGA2;     // *** Mix OPAMP2 PGA Configuration
// ***---------------------------------------------------***
// *** OPAMP3 (xdata:0xEF80)                             ***
// ***---------------------------------------------------***
__xdata __at(0xEF80) UI08 MIXOPA3;     // *** Mix OPAMP3 Configuration
__xdata __at(0xEF81) UI08 MIXPGA3;     // *** Mix OPAMP3 PGA Configuration
// ***---------------------------------------------------***
// *** DAC (xdata:0xF200)                                ***
// ***---------------------------------------------------***
__xdata __at(0xF200) UI08 MIXDAC0;     // *** Mix DAC Configuration
__xdata __at(0xF200) UI08 DAC;         // *** (Alias)
__xdata __at(0xF201) UI08 MIXDACOUT0;  // *** Mix DAC Output select Register
__xdata __at(0xF201) UI08 DACOUT0;     // *** (Alias) Mix DAC Output select Register
__xdata __at(0xF201) UI08 DACOUT;      // *** (Alias)
__xdata __at(0xF202) UI08 MIXDARDL0;   // *** Mix DAC Read Data L
__xdata __at(0xF202) UI08 MIXDARD0L;   // *** (Alias) Mix DAC Read Data L
__xdata __at(0xF202) UI08 DARDL;       // *** (Alias)
__xdata __at(0xF203) UI08 MIXDARDH0;   // *** Mix DAC Read Data H
__xdata __at(0xF203) UI08 MIXDARD0H;   // *** (Alias) Mix DAC Read Data H
__xdata __at(0xF203) UI08 DARDH;       // *** (Alias)
__xdata __at(0xF204) UI08 MIXDACCLR0;  // *** Mix DAC Access Counter Clear Register
__xdata __at(0xF204) UI08 DACACCLR;    // *** (Alias) Mix DAC Access Counter Clear Register
__xdata __at(0xF208) UI08 MIXDAC1;     // *** Mix DAC1 Configuration
__xdata __at(0xF209) UI08 MIXDACOUT1;  // *** Mix DAC1 Output select Register
__xdata __at(0xF209) UI08 DACOUT1;     // *** (Alias) Mix DAC1 Output select Register
__xdata __at(0xF20A) UI08 MIXDARDL1;   // *** Mix DAC1 Read Data L
__xdata __at(0xF20A) UI08 MIXDARD1L;   // *** (Alias) Mix DAC1 Read Data L
__xdata __at(0xF20B) UI08 MIXDARDH1;   // *** Mix DAC1 Read Data H
__xdata __at(0xF20B) UI08 MIXDARD1H;   // *** (Alias) Mix DAC1 Read Data H
__xdata __at(0xF210) UI08 MIXDAC2;     // *** Mix DAC2 Configuration
__xdata __at(0xF211) UI08 DACOUT2;     // *** Mix DAC2 Output select Register
__xdata __at(0xF212) UI08 MIXDARD2L;   // *** Mix DAC2 Read Data L
__xdata __at(0xF213) UI08 MIXDARD2H;   // *** Mix DAC2 Read Data H
__xdata __at(0xF218) UI08 MIXDAC3;     // *** Mix DAC3 Configuration
__xdata __at(0xF219) UI08 DACOUT3;     // *** Mix DAC3 Output select Register
__xdata __at(0xF21A) UI08 MIXDARD3L;   // *** Mix DAC3 Read Data L
__xdata __at(0xF21B) UI08 MIXDARD3H;   // *** Mix DAC3 Read Data H
// ***---------------------------------------------------***
// *** SPI (xdata:0xFB80)                                ***
// ***---------------------------------------------------***
__xdata __at(0xFB80) UI08 SPICR;       // *** SPI Control Register
__xdata __at(0xFB81) UI08 SPICLK;      // *** SPI CLOCK DIV Register
__xdata __at(0xFB82) UI08 SPIFMT;      // *** SPI data format Register
__xdata __at(0xFB84) UI08 SPISR;       // *** SPI Status register
__xdata __at(0xFB85) UI08 SPIESR;      // *** SPI Error Status register
__xdata __at(0xFB86) UI08 SPIIER;      // *** SPI Interrupt Enable Register
__xdata __at(0xFB86) UI08 SPIISR;      // *** (Alias) 
__xdata __at(0xFB88) UI08 SPIDRL;      // *** SPI Data Register L
__xdata __at(0xFB89) UI08 SPIDRH;      // *** SPI Data Register H
// ***---------------------------------------------------***
// *** PWM (xdata:0xF900)                                ***
// ***---------------------------------------------------***
__xdata __at(0xF900) UI08 PWMENBL;     // *** PWM Enable Control
__xdata __at(0xF900) UI08 PWM_BASE_COMMON;   // *** (Alias) 
__xdata __at(0xF901) UI08 PWMCSC0;     // *** PWM Clock Source Control 0
__xdata __at(0xF902) UI08 PWMCSC1;     // *** PWM Clock Source Control 1
__xdata __at(0xF90F) UI08 PWMCSC2;     // *** 
__xdata __at(0xF903) UI08 PWMCNTS;     // *** PWM Counter Start
// ***---------------------------------------------------***
// *** PWM0 (xdata:0xF900)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF904) UI08 PWM0CSS;     // *** PWM Clock Source Select for Block0
__xdata __at(0xF904) UI08 PWM_BASE_0;  // *** (Alias) 
__xdata __at(0xF905) UI08 PWM0EVO0;    // *** PWM Event0 Output for Block 0
__xdata __at(0xF906) UI08 PWM0EVO1;    // *** PWM Event1 Output for Block 0
__xdata __at(0xF907) UI08 PWM0EVOT;    // *** PWM Event to Timer for Block 0
__xdata __at(0xF908) UI08 PWM0INTS0;   // *** PWM Interrupt 0 Select for Block 0
__xdata __at(0xF909) UI08 PWM0INTS1;   // *** PWM Interrupt 1 Select for Block 0
__xdata __at(0xF90A) UI08 PWM0INTF;    // *** PWM Interrupt Flag for Block 0
__xdata __at(0xF90B) UI08 PWM0ACCLR;   // *** PWM Access Counter Clear Register for Block0
__xdata __at(0xF90C) UI08 PWM0ACSTS;   // *** PWM Access Status Register for Block0
__xdata __at(0xF910) UI08 PWM0CNTL;    // *** Counter 0 LSB Side
__xdata __at(0xF911) UI08 PWM0CNTH;    // *** Counter 0 MSB Side
__xdata __at(0xF912) UI08 PWM0CMPAL;   // *** CMP_A for Block 0 LSB Side
__xdata __at(0xF913) UI08 PWM0CMPAH;   // *** CMP_A for Block 0 MSB Side
__xdata __at(0xF914) UI08 PWM0CMPBL;   // *** CMP_B for Block 0 LSB Side
__xdata __at(0xF915) UI08 PWM0CMPBH;   // *** CMP_B for Block 0 MSB Side
__xdata __at(0xF916) UI08 PWM0CMPCL;   // *** CMP_C for Block 0 LSB Side
__xdata __at(0xF917) UI08 PWM0CMPCH;   // *** CMP_C for Block 0 MSB Side
__xdata __at(0xF918) UI08 PWM0CMPDL;   // *** CMP_D for Block 0 LSB Side
__xdata __at(0xF919) UI08 PWM0CMPDH;   // *** CMP_D for Block 0 MSB Side
__xdata __at(0xF91A) UI08 PWM0MINL;    // *** CMP_MIN for Block 0 LSB Side
__xdata __at(0xF91B) UI08 PWM0MINH;    // *** CMP_MIN for Block 0 MSB Side
__xdata __at(0xF91C) UI08 PWM0MAXL;    // *** CMP_MAX for Block 0 LSB Side
__xdata __at(0xF91D) UI08 PWM0MAXH;    // *** CMP_MAX for Block 0 MSB Side
__xdata __at(0xF910) UI08 CNT0_L;      // *** (Alias) Counter 0 LSB Side
__xdata __at(0xF911) UI08 CNT0_H;      // *** (Alias) Counter 0 MSB Side
__xdata __at(0xF912) UI08 CMP_A0_L;    // *** (Alias) CMP_A for Block 0 LSB Side
__xdata __at(0xF913) UI08 CMP_A0_H;    // *** (Alias) CMP_A for Block 0 MSB Side
__xdata __at(0xF914) UI08 CMP_B0_L;    // *** (Alias) CMP_B for Block 0 LSB Side
__xdata __at(0xF915) UI08 CMP_B0_H;    // *** (Alias) CMP_B for Block 0 MSB Side
__xdata __at(0xF916) UI08 CMP_C0_L;    // *** (Alias) CMP_C for Block 0 LSB Side
__xdata __at(0xF917) UI08 CMP_C0_H;    // *** (Alias) CMP_C for Block 0 MSB Side
__xdata __at(0xF918) UI08 CMP_D0_L;    // *** (Alias) CMP_D for Block 0 LSB Side
__xdata __at(0xF919) UI08 CMP_D0_H;    // *** (Alias) CMP_D for Block 0 MSB Side
__xdata __at(0xF91A) UI08 CMP_MIN0_L;  // *** (Alias) CMP_MIN for Block 0 LSB Side
__xdata __at(0xF91B) UI08 CMP_MIN0_H;  // *** (Alias) CMP_MIN for Block 0 MSB Side
__xdata __at(0xF91C) UI08 CMP_MAX0_L;  // *** (Alias) CMP_MAX for Block 0 LSB Side
__xdata __at(0xF91D) UI08 CMP_MAX0_H;  // *** (Alias) CMP_MAX for Block 0 MSB Side
__xdata __at(0xF920) UI08 PWM0CNTMD;   // *** PWM Counter Mode for Block0
__xdata __at(0xF921) UI08 PWM0HCR0;    // *** PWM0H Output Control 0
__xdata __at(0xF922) UI08 PWM0LCR0;    // *** PWM0L Output Control 0
__xdata __at(0xF923) UI08 PWM0HCR1;    // *** PWM0H Output Control 1
__xdata __at(0xF924) UI08 PWM0LCR1;    // *** PWM0L Output Control 1
__xdata __at(0xF925) UI08 PWM0MODE;    // *** PWM0 Operation Mode
__xdata __at(0xF926) UI08 PWM0RTRG;    // *** PWM Re-Trigger Mode for Block 0
__xdata __at(0xF927) UI08 PWM0RTRS;    // *** PWM Re-Trigger Select for Block 0
__xdata __at(0xF928) UI08 PWM0RTGC;    // *** PWM Re-Trigger by CPU for Block 0
__xdata __at(0xF929) UI08 PWM0RTL;     // *** PWM0 Re-Trigger Output Control
__xdata __at(0xF92A) UI08 PWM0RTMC;    // *** PWM0 Re-Trigger Mask Control
__xdata __at(0xF92B) UI08 PWM0RTMP;    // *** PWM0 Re-Trigger Mask Period
__xdata __at(0xF92C) UI08 PWM0BUFMINL; // *** BUF_MIN for Block 0 LSB Side
__xdata __at(0xF92D) UI08 PWM0BUFMINH; // *** BUF_MIN for Block 0 MSB Side
__xdata __at(0xF92E) UI08 PWM0BUFMAXL; // *** BUF_MAX for Block 0 LSB Side
__xdata __at(0xF92F) UI08 PWM0BUFMAXH; // *** BUF_MAX for Block 0 MSB Side
__xdata __at(0xF92C) UI08 BUF_MIN0_L;  // *** (Alias) BUF_MIN for Block 0 LSB Side
__xdata __at(0xF92D) UI08 BUF_MIN0_H;  // *** (Alias) BUF_MIN for Block 0 MSB Side
__xdata __at(0xF92E) UI08 BUF_MAX0_L;  // *** (Alias) BUF_MAX for Block 0 LSB Side
__xdata __at(0xF92F) UI08 BUF_MAX0_H;  // *** (Alias) BUF_MAX for Block 0 MSB Side
// ***---------------------------------------------------***
// *** PWM1 (xdata:0xF940)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF944) UI08 PWM1CSS;     // *** PWM Clock Source Select for Block1
__xdata __at(0xF944) UI08 PWM_BASE_1;  // *** (Alias) 
__xdata __at(0xF945) UI08 PWM1EVO0;    // *** PWM Event0 Output for Block 1
__xdata __at(0xF946) UI08 PWM1EVO1;    // *** PWM Event1 Output for Block 1
__xdata __at(0xF947) UI08 PWM1EVOT;    // *** PWM Event to Timer for Block 1
__xdata __at(0xF948) UI08 PWM1INTS0;   // *** PWM Interrupt 0 Select for Block 1
__xdata __at(0xF949) UI08 PWM1INTS1;   // *** PWM Interrupt 1 Select for Block 1
__xdata __at(0xF94A) UI08 PWM1INTF;    // *** PWM Interrupt Flag for Block 1
__xdata __at(0xF94B) UI08 PWM1ACCLR;   // *** PWM Access Counter Clear Register for Block1
__xdata __at(0xF94C) UI08 PWM1ACSTS;   // *** PWM Access Status Register for Block1
__xdata __at(0xF950) UI08 PWM1CNTL;    // *** Counter 1 LSB Side
__xdata __at(0xF951) UI08 PWM1CNTH;    // *** Counter 1 MSB Side
__xdata __at(0xF952) UI08 PWM1CMPAL;   // *** CMP_A for Block 1 LSB Side
__xdata __at(0xF953) UI08 PWM1CMPAH;   // *** CMP_A for Block 1 MSB Side
__xdata __at(0xF954) UI08 PWM1CMPBL;   // *** CMP_B for Block 1 LSB Side
__xdata __at(0xF955) UI08 PWM1CMPBH;   // *** CMP_B for Block 1 MSB Side
__xdata __at(0xF956) UI08 PWM1CMPCL;   // *** CMP_C for Block 1 LSB Side
__xdata __at(0xF957) UI08 PWM1CMPCH;   // *** CMP_C for Block 1 MSB Side
__xdata __at(0xF958) UI08 PWM1CMPDL;   // *** CMP_D for Block 1 LSB Side
__xdata __at(0xF959) UI08 PWM1CMPDH;   // *** CMP_D for Block 1 MSB Side
__xdata __at(0xF95A) UI08 PWM1MINL;    // *** CMP_MIN for Block 1 LSB Side
__xdata __at(0xF95B) UI08 PWM1MINH;    // *** CMP_MIN for Block 1 MSB Side
__xdata __at(0xF95C) UI08 PWM1MAXL;    // *** CMP_MAX for Block 1 LSB Side
__xdata __at(0xF95D) UI08 PWM1MAXH;    // *** CMP_MAX for Block 1 MSB Side
__xdata __at(0xF950) UI08 CNT1_L;      // *** (Alias) Counter 1 LSB Side
__xdata __at(0xF951) UI08 CNT1_H;      // *** (Alias) Counter 1 MSB Side
__xdata __at(0xF952) UI08 CMP_A1_L;    // *** (Alias) CMP_A for Block 1 LSB Side
__xdata __at(0xF953) UI08 CMP_A1_H;    // *** (Alias) CMP_A for Block 1 MSB Side
__xdata __at(0xF954) UI08 CMP_B1_L;    // *** (Alias) CMP_B for Block 1 LSB Side
__xdata __at(0xF955) UI08 CMP_B1_H;    // *** (Alias) CMP_B for Block 1 MSB Side
__xdata __at(0xF956) UI08 CMP_C1_L;    // *** (Alias) CMP_C for Block 1 LSB Side
__xdata __at(0xF957) UI08 CMP_C1_H;    // *** (Alias) CMP_C for Block 1 MSB Side
__xdata __at(0xF958) UI08 CMP_D1_L;    // *** (Alias) CMP_D for Block 1 LSB Side
__xdata __at(0xF959) UI08 CMP_D1_H;    // *** (Alias) CMP_D for Block 1 MSB Side
__xdata __at(0xF95A) UI08 CMP_MIN1_L;  // *** (Alias) CMP_MIN for Block 1 LSB Side
__xdata __at(0xF95B) UI08 CMP_MIN1_H;  // *** (Alias) CMP_MIN for Block 1 MSB Side
__xdata __at(0xF95C) UI08 CMP_MAX1_L;  // *** (Alias) CMP_MAX for Block 1 LSB Side
__xdata __at(0xF95D) UI08 CMP_MAX1_H;  // *** (Alias) CMP_MAX for Block 1 MSB Side
__xdata __at(0xF960) UI08 PWM1CNTMD;   // *** PWM Counter Mode for Block1
__xdata __at(0xF961) UI08 PWM1HCR0;    // *** PWM1H Output Control 0
__xdata __at(0xF962) UI08 PWM1LCR0;    // *** PWM1L Output Control 0
__xdata __at(0xF963) UI08 PWM1HCR1;    // *** PWM1H Output Control 1
__xdata __at(0xF964) UI08 PWM1LCR1;    // *** PWM1L Output Control 1
__xdata __at(0xF965) UI08 PWM1MODE;    // *** PWM1 Operation Mode
__xdata __at(0xF966) UI08 PWM1RTRG;    // *** PWM Re-Trigger Mode for Block 1
__xdata __at(0xF967) UI08 PWM1RTRS;    // *** PWM Re-Trigger Select for Block 1
__xdata __at(0xF968) UI08 PWM1RTGC;    // *** PWM Re-Trigger by CPU for Block 1
__xdata __at(0xF969) UI08 PWM1RTL;     // *** PWM1 Re-Trigger Output Control
__xdata __at(0xF96A) UI08 PWM1RTMC;    // *** PWM1 Re-Trigger Mask Control
__xdata __at(0xF96B) UI08 PWM1RTMP;    // *** PWM1 Re-Trigger Mask Period
__xdata __at(0xF96C) UI08 PWM1BUFMINL; // *** BUF_MIN for Block 1 LSB Side
__xdata __at(0xF96D) UI08 PWM1BUFMINH; // *** BUF_MIN for Block 1 MSB Side
__xdata __at(0xF96E) UI08 PWM1BUFMAXL; // *** BUF_MAX for Block 1 LSB Side
__xdata __at(0xF96F) UI08 PWM1BUFMAXH; // *** BUF_MAX for Block 1 MSB Side
__xdata __at(0xF96C) UI08 BUF_MIN1_L;  // *** (Alias) BUF_MIN for Block 1 LSB Side
__xdata __at(0xF96D) UI08 BUF_MIN1_H;  // *** (Alias) BUF_MIN for Block 1 MSB Side
__xdata __at(0xF96E) UI08 BUF_MAX1_L;  // *** (Alias) BUF_MAX for Block 1 LSB Side
__xdata __at(0xF96F) UI08 BUF_MAX1_H;  // *** (Alias) BUF_MAX for Block 1 MSB Side
// ***---------------------------------------------------***
// *** PWM2 (xdata:0xF980)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF984) UI08 PWM2CSS;     // *** PWM Clock Source Select for Block2
__xdata __at(0xF984) UI08 PWM_BASE_2;  // *** (Alias) 
__xdata __at(0xF985) UI08 PWM2EVO0;    // *** PWM Event0 Output for Block 2
__xdata __at(0xF986) UI08 PWM2EVO1;    // *** PWM Event1 Output for Block 2
__xdata __at(0xF987) UI08 PWM2EVOT;    // *** PWM Event to Timer for Block 2
__xdata __at(0xF987) UI08 PWM2CVOT;    // *** (Alias) 
__xdata __at(0xF988) UI08 PWM2INTS0;   // *** PWM Interrupt 0 Select for Block 2
__xdata __at(0xF989) UI08 PWM2INTS1;   // *** PWM Interrupt 1 Select for Block 2
__xdata __at(0xF98A) UI08 PWM2INTF;    // *** PWM Interrupt Flag for Block 2
__xdata __at(0xF98B) UI08 PWM2ACCLR;   // *** PWM Access Counter Clear Register for Block2
__xdata __at(0xF98C) UI08 PWM2ACSTS;   // *** PWM Access Status Register for Block2
__xdata __at(0xF990) UI08 PWM2CNTL;    // *** Counter 2 LSB Side
__xdata __at(0xF991) UI08 PWM2CNTH;    // *** Counter 2 MSB Side
__xdata __at(0xF992) UI08 PWM2CMPAL;   // *** CMP_A for Block 2 LSB Side
__xdata __at(0xF993) UI08 PWM2CMPAH;   // *** CMP_A for Block 2 MSB Side
__xdata __at(0xF994) UI08 PWM2CMPBL;   // *** CMP_B for Block 2 LSB Side
__xdata __at(0xF995) UI08 PWM2CMPBH;   // *** CMP_B for Block 2 MSB Side
__xdata __at(0xF996) UI08 PWM2CMPCL;   // *** CMP_C for Block 2 LSB Side
__xdata __at(0xF997) UI08 PWM2CMPCH;   // *** CMP_C for Block 2 MSB Side
__xdata __at(0xF998) UI08 PWM2CMPDL;   // *** CMP_D for Block 2 LSB Side
__xdata __at(0xF999) UI08 PWM2CMPDH;   // *** CMP_D for Block 2 MSB Side
__xdata __at(0xF99A) UI08 PWM2MINL;    // *** CMP_MIN for Block 2 LSB Side
__xdata __at(0xF99B) UI08 PWM2MINH;    // *** CMP_MIN for Block 2 MSB Side
__xdata __at(0xF99C) UI08 PWM2MAXL;    // *** CMP_MAX for Block 2 LSB Side
__xdata __at(0xF99D) UI08 PWM2MAXH;    // *** CMP_MAX for Block 2 MSB Side
__xdata __at(0xF990) UI08 CNT2_L;      // *** (Alias) Counter 2 LSB Side
__xdata __at(0xF991) UI08 CNT2_H;      // *** (Alias) Counter 2 MSB Side
__xdata __at(0xF992) UI08 CMP_A2_L;    // *** (Alias) CMP_A for Block 2 LSB Side
__xdata __at(0xF993) UI08 CMP_A2_H;    // *** (Alias) CMP_A for Block 2 MSB Side
__xdata __at(0xF994) UI08 CMP_B2_L;    // *** (Alias) CMP_B for Block 2 LSB Side
__xdata __at(0xF995) UI08 CMP_B2_H;    // *** (Alias) CMP_B for Block 2 MSB Side
__xdata __at(0xF996) UI08 CMP_C2_L;    // *** (Alias) CMP_C for Block 2 LSB Side
__xdata __at(0xF997) UI08 CMP_C2_H;    // *** (Alias) CMP_C for Block 2 MSB Side
__xdata __at(0xF998) UI08 CMP_D2_L;    // *** (Alias) CMP_D for Block 2 LSB Side
__xdata __at(0xF999) UI08 CMP_D2_H;    // *** (Alias) CMP_D for Block 2 MSB Side
__xdata __at(0xF99A) UI08 CMP_MIN2_L;  // *** (Alias) CMP_MIN for Block 2 LSB Side
__xdata __at(0xF99B) UI08 CMP_MIN2_H;  // *** (Alias) CMP_MIN for Block 2 MSB Side
__xdata __at(0xF99C) UI08 CMP_MAX2_L;  // *** (Alias) CMP_MAX for Block 2 LSB Side
__xdata __at(0xF99D) UI08 CMP_MAX2_H;  // *** (Alias) CMP_MAX for Block 2 MSB Side
__xdata __at(0xF9A0) UI08 PWM2CNTMD;   // *** PWM Counter Mode for Block2
__xdata __at(0xF9A1) UI08 PWM2HCR0;    // *** PWM2H Output Control 0
__xdata __at(0xF9A2) UI08 PWM2LCR0;    // *** PWM2L Output Control 0
__xdata __at(0xF9A3) UI08 PWM2HCR1;    // *** PWM2H Output Control 1
__xdata __at(0xF9A4) UI08 PWM2LCR1;    // *** PWM2L Output Control 1
__xdata __at(0xF9A5) UI08 PWM2MODE;    // *** PWM2 Operation Mode
__xdata __at(0xF9A6) UI08 PWM2RTRG;    // *** PWM Re-Trigger Mode for Block 2
__xdata __at(0xF9A7) UI08 PWM2RTRS;    // *** PWM Re-Trigger Select for Block 2
__xdata __at(0xF9A8) UI08 PWM2RTGC;    // *** PWM Re-Trigger by CPU for Block 2
__xdata __at(0xF9A9) UI08 PWM2RTL;     // *** PWM2 Re-Trigger Output Control
__xdata __at(0xF9AA) UI08 PWM2RTMC;    // *** PWM2 Re-Trigger Mask Control
__xdata __at(0xF9AB) UI08 PWM2RTMP;    // *** PWM2 Re-Trigger Mask Period
__xdata __at(0xF9AC) UI08 PWM2BUFMINL; // *** BUF_MIN for Block 2 LSB Side
__xdata __at(0xF9AD) UI08 PWM2BUFMINH; // *** BUF_MIN for Block 2 MSB Side
__xdata __at(0xF9AE) UI08 PWM2BUFMAXL; // *** BUF_MAX for Block 2 LSB Side
__xdata __at(0xF9AF) UI08 PWM2BUFMAXH; // *** BUF_MAX for Block 2 MSB Side
__xdata __at(0xF9AC) UI08 BUF_MIN2_L;  // *** (Alias) BUF_MIN for Block 2 LSB Side
__xdata __at(0xF9AD) UI08 BUF_MIN2_H;  // *** (Alias) BUF_MIN for Block 2 MSB Side
__xdata __at(0xF9AE) UI08 BUF_MAX2_L;  // *** (Alias) BUF_MAX for Block 2 LSB Side
__xdata __at(0xF9AF) UI08 BUF_MAX2_H;  // *** (Alias) BUF_MAX for Block 2 MSB Side
// ***---------------------------------------------------***
// *** PWM3 (xdata:0xF9C0)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF9C4) UI08 PWM3CSS;     // *** PWM Clock Source Select for Block3
__xdata __at(0xF9C4) UI08 PWM_BASE_3;  // *** (Alias)
__xdata __at(0xF9C5) UI08 PWM3EVO0;    // *** PWM Event0 Output for Block 3
__xdata __at(0xF9C6) UI08 PWM3EVO1;    // *** PWM Event1 Output for Block 3
__xdata __at(0xF9C7) UI08 PWM3EVOT;    // *** PWM Event to Timer for Block 3
__xdata __at(0xF9C7) UI08 PWM3CVOT;    // *** (Alias)
__xdata __at(0xF9C8) UI08 PWM3INTS0;   // *** PWM Interrupt 0 Select for Block 3
__xdata __at(0xF9C9) UI08 PWM3INTS1;   // *** PWM Interrupt 1 Select for Block 3
__xdata __at(0xF9CA) UI08 PWM3INTF;    // *** PWM Interrupt Flag for Block 3
__xdata __at(0xF9CB) UI08 PWM3ACCLR;   // *** PWM Access Counter Clear Register for Block3
__xdata __at(0xF9CC) UI08 PWM3ACSTS;   // *** PWM Access Status Register for Block3
__xdata __at(0xF9D0) UI08 PWM3CNTL;    // *** Counter 3 LSB Side
__xdata __at(0xF9D1) UI08 PWM3CNTH;    // *** Counter 3 MSB Side
__xdata __at(0xF9D2) UI08 PWM3CMPAL;   // *** CMP_A for Block 3 LSB Side
__xdata __at(0xF9D3) UI08 PWM3CMPAH;   // *** CMP_A for Block 3 MSB Side
__xdata __at(0xF9D4) UI08 PWM3CMPBL;   // *** CMP_B for Block 3 LSB Side
__xdata __at(0xF9D5) UI08 PWM3CMPBH;   // *** CMP_B for Block 3 MSB Side
__xdata __at(0xF9D6) UI08 PWM3CMPCL;   // *** CMP_C for Block 3 LSB Side
__xdata __at(0xF9D7) UI08 PWM3CMPCH;   // *** CMP_C for Block 3 MSB Side
__xdata __at(0xF9D8) UI08 PWM3CMPDL;   // *** CMP_D for Block 3 LSB Side
__xdata __at(0xF9D9) UI08 PWM3CMPDH;   // *** CMP_D for Block 3 MSB Side
__xdata __at(0xF9DA) UI08 PWM3MINL;    // *** CMP_MIN for Block 3 LSB Side
__xdata __at(0xF9DB) UI08 PWM3MINH;    // *** CMP_MIN for Block 3 MSB Side
__xdata __at(0xF9DC) UI08 PWM3MAXL;    // *** CMP_MAX for Block 3 LSB Side
__xdata __at(0xF9DD) UI08 PWM3MAXH;    // *** CMP_MAX for Block 3 MSB Side
__xdata __at(0xF9D0) UI08 CNT3_L;      // *** (Alias) Counter 3 LSB Side
__xdata __at(0xF9D1) UI08 CNT3_H;      // *** (Alias) Counter 3 MSB Side
__xdata __at(0xF9D2) UI08 CMP_A3_L;    // *** (Alias) CMP_A for Block 3 LSB Side
__xdata __at(0xF9D3) UI08 CMP_A3_H;    // *** (Alias) CMP_A for Block 3 MSB Side
__xdata __at(0xF9D4) UI08 CMP_B3_L;    // *** (Alias) CMP_B for Block 3 LSB Side
__xdata __at(0xF9D5) UI08 CMP_B3_H;    // *** (Alias) CMP_B for Block 3 MSB Side
__xdata __at(0xF9D6) UI08 CMP_C3_L;    // *** (Alias) CMP_C for Block 3 LSB Side
__xdata __at(0xF9D7) UI08 CMP_C3_H;    // *** (Alias) CMP_C for Block 3 MSB Side
__xdata __at(0xF9D8) UI08 CMP_D3_L;    // *** (Alias) CMP_D for Block 3 LSB Side
__xdata __at(0xF9D9) UI08 CMP_D3_H;    // *** (Alias) CMP_D for Block 3 MSB Side
__xdata __at(0xF9DA) UI08 CMP_MIN3_L;  // *** (Alias) CMP_MIN for Block 3 LSB Side
__xdata __at(0xF9DB) UI08 CMP_MIN3_H;  // *** (Alias) CMP_MIN for Block 3 MSB Side
__xdata __at(0xF9DC) UI08 CMP_MAX3_L;  // *** (Alias) CMP_MAX for Block 3 LSB Side
__xdata __at(0xF9DD) UI08 CMP_MAX3_H;  // *** (Alias) CMP_MAX for Block 3 MSB Side
__xdata __at(0xF9E0) UI08 PWM3CNTMD;   // *** PWM Counter Mode for Block3
__xdata __at(0xF9E1) UI08 PWM3HCR0;    // *** PWM3H Output Control 0
__xdata __at(0xF9E2) UI08 PWM3LCR0;    // *** PWM3L Output Control 0
__xdata __at(0xF9E3) UI08 PWM3HCR1;    // *** PWM3H Output Control 1
__xdata __at(0xF9E4) UI08 PWM3LCR1;    // *** PWM3L Output Control 1
__xdata __at(0xF9E5) UI08 PWM3MODE;    // *** PWM3 Operation Mode
__xdata __at(0xF9E6) UI08 PWM3RTRG;    // *** PWM Re-Trigger Mode for Block 3
__xdata __at(0xF9E7) UI08 PWM3RTRS;    // *** PWM Re-Trigger Select for Block 3
__xdata __at(0xF9E8) UI08 PWM3RTGC;    // *** PWM Re-Trigger by CPU for Block 3
__xdata __at(0xF9E9) UI08 PWM3RTL;     // *** PWM3 Re-Trigger Output Control
__xdata __at(0xF9EA) UI08 PWM3RTMC;    // *** PWM3 Re-Trigger Mask Control
__xdata __at(0xF9EB) UI08 PWM3RTMP;    // *** PWM3 Re-Trigger Mask Period
__xdata __at(0xF9EC) UI08 PWM3BUFMINL; // *** BUF_MIN for Block 3 LSB Side
__xdata __at(0xF9ED) UI08 PWM3BUFMINH; // *** BUF_MIN for Block 3 MSB Side
__xdata __at(0xF9EE) UI08 PWM3BUFMAXL; // *** BUF_MAX for Block 3 LSB Side
__xdata __at(0xF9EF) UI08 PWM3BUFMAXH; // *** BUF_MAX for Block 3 MSB Side
__xdata __at(0xF9EC) UI08 BUF_MIN3_L;  // *** (Alias) BUF_MIN for Block 3 LSB Side
__xdata __at(0xF9ED) UI08 BUF_MIN3_H;  // *** (Alias) BUF_MIN for Block 3 MSB Side
__xdata __at(0xF9EE) UI08 BUF_MAX3_L;  // *** (Alias) BUF_MAX for Block 3 LSB Side
__xdata __at(0xF9EF) UI08 BUF_MAX3_H;  // *** (Alias) BUF_MAX for Block 3 MSB Side
// ***---------------------------------------------------***
// *** DSAC (xdata:0xF880)                               ***
// ***---------------------------------------------------***
__xdata __at(0xF880) UI08 DSACNTA0;    // *** DSA Control A Channel 0
__xdata __at(0xF881) UI08 DSACNTB0;    // *** DSA Control B Channel 0
__xdata __at(0xF882) UI08 DSASRC0;     // *** DSA Source Address Channel 0
__xdata __at(0xF883) UI08 DSADST0;     // *** DSA Destination Address Channel 0
__xdata __at(0xF884) UI08 DSACNTA1;    // *** DSA Control A Channel 1
__xdata __at(0xF885) UI08 DSACNTB1;    // *** DSA Control B Channel 1
__xdata __at(0xF886) UI08 DSASRC1;     // *** DSA Source Address Channel 1
__xdata __at(0xF887) UI08 DSADST1;     // *** DSA Destination Address Channel 1
__xdata __at(0xF888) UI08 DSACNTA2;    // *** DSA Control A Channel 2
__xdata __at(0xF889) UI08 DSACNTB2;    // *** DSA Control B Channel 2
__xdata __at(0xF88A) UI08 DSASRC2;     // *** DSA Source Address Channel 2
__xdata __at(0xF88B) UI08 DSADST2;     // *** DSA Destination Address Channel 2
__xdata __at(0xF88C) UI08 DSACNTA3;    // *** DSA Control A Channel 3
__xdata __at(0xF88D) UI08 DSACNTB3;    // *** DSA Control B Channel 3
__xdata __at(0xF88E) UI08 DSASRC3;     // *** DSA Source Address Channel 3
__xdata __at(0xF88F) UI08 DSADST3;     // *** DSA Destination Address Channel 3
__xdata __at(0xF890) UI08 DSACNTA4;    // *** DSA Control A Channel 4
__xdata __at(0xF891) UI08 DSACNTB4;    // *** DSA Control B Channel 4
__xdata __at(0xF892) UI08 DSASRC4;     // *** DSA Source Address Channel 4
__xdata __at(0xF893) UI08 DSADST4;     // *** DSA Destination Address Channel 4
__xdata __at(0xF894) UI08 DSACNTA5;    // *** DSA Control A Channel 5
__xdata __at(0xF895) UI08 DSACNTB5;    // *** DSA Control B Channel 5
__xdata __at(0xF896) UI08 DSASRC5;     // *** DSA Source Address Channel 5
__xdata __at(0xF897) UI08 DSADST5;     // *** DSA Destination Address Channel 5
__xdata __at(0xF898) UI08 DSACNTA6;    // *** DSA Control A Channel 6
__xdata __at(0xF899) UI08 DSACNTB6;    // *** DSA Control B Channel 6
__xdata __at(0xF89A) UI08 DSASRC6;     // *** DSA Source Address Channel 6
__xdata __at(0xF89B) UI08 DSADST6;     // *** DSA Destination Address Channel 6
__xdata __at(0xF89C) UI08 DSACNTA7;    // *** DSA Control A Channel 7
__xdata __at(0xF89D) UI08 DSACNTB7;    // *** DSA Control B Channel 7
__xdata __at(0xF89E) UI08 DSASRC7;     // *** DSA Source Address Channel 7
__xdata __at(0xF89F) UI08 DSADST7;     // *** DSA Destination Address Channel 7
__xdata __at(0xF8F0) UI08 DSATRG0;     // *** DSA Activation Trigger for ch0-7
__xdata __at(0xF8F1) UI08 DSATRG1;     // *** DSA Activation Trigger for ch8-15
__xdata __at(0xF8A0) UI08 DSACNTA8;    // *** DSA Control A Channel 8
__xdata __at(0xF8A1) UI08 DSACNTB8;    // *** DSA Control B Channel 8
__xdata __at(0xF8A2) UI08 DSASRC8;     // *** DSA Source Address Channel 8
__xdata __at(0xF8A3) UI08 DSADST8;     // *** DSA Destination Address Channel 8
__xdata __at(0xF8A4) UI08 DSACNTA9;    // *** DSA Control A Channel 9
__xdata __at(0xF8A5) UI08 DSACNTB9;    // *** DSA Control B Channel 9
__xdata __at(0xF8A6) UI08 DSASRC9;     // *** DSA Source Address Channel 9
__xdata __at(0xF8A7) UI08 DSADST9;     // *** DSA Destination Address Channel 9
__xdata __at(0xF8A8) UI08 DSACNTA10;   // *** DSA Control A Channel 10
__xdata __at(0xF8A9) UI08 DSACNTB10;   // *** DSA Control B Channel 10
__xdata __at(0xF8AA) UI08 DSASRC10;    // *** DSA Source Address Channel 10
__xdata __at(0xF8AB) UI08 DSADST10;    // *** DSA Destination Address Channel 10
__xdata __at(0xF8AC) UI08 DSACNTA11;   // *** DSA Control A Channel 11
__xdata __at(0xF8AD) UI08 DSACNTB11;   // *** DSA Control B Channel 11
__xdata __at(0xF8AE) UI08 DSASRC11;    // *** DSA Source Address Channel 11
__xdata __at(0xF8AF) UI08 DSADST11;    // *** DSA Destination Address Channel 11
__xdata __at(0xF8B0) UI08 DSACNTA12;   // *** 
__xdata __at(0xF8B1) UI08 DSACNTB12;   // *** 
__xdata __at(0xF8B2) UI08 DSASRC12;    // *** 
__xdata __at(0xF8B3) UI08 DSADST12;    // *** 
__xdata __at(0xF8B4) UI08 DSACNTA13;   // *** 
__xdata __at(0xF8B5) UI08 DSACNTB13;   // *** 
__xdata __at(0xF8B6) UI08 DSASRC13;    // *** 
__xdata __at(0xF8B7) UI08 DSADST13;    // *** 
__xdata __at(0xF8B8) UI08 DSACNTA14;   // *** 
__xdata __at(0xF8B9) UI08 DSACNTB14;   // *** 
__xdata __at(0xF8BA) UI08 DSASRC14;    // *** 
__xdata __at(0xF8BB) UI08 DSADST14;    // *** 
__xdata __at(0xF8BC) UI08 DSACNTA15;   // *** 
__xdata __at(0xF8BD) UI08 DSACNTB15;   // *** 
__xdata __at(0xF8BE) UI08 DSASRC15;    // *** 
__xdata __at(0xF8BF) UI08 DSADST15;    // *** 
// ***---------------------------------------------------***
// *** POC (xdata:0xFD80)                                ***
// ***---------------------------------------------------***
__xdata __at(0xFD80) UI08 POCCR0;      // *** POC Control Register 0
__xdata __at(0xFD81) UI08 POCCR1;      // *** POC Control Register 1
__xdata __at(0xFD82) UI08 POCCR2;      // *** POC Control Resister 2
__xdata __at(0xFD83) UI08 POCCR3;      // *** POC Control Resister 3
__xdata __at(0xFD84) UI08 POCCR4;      // *** 
__xdata __at(0xFD85) UI08 POCCR5;      // *** 
__xdata __at(0xFD88) UI08 POCSTS;      // *** POC Status Resister
// ***---------------------------------------------------***
// *** RAMIF (xdata:0xED00)                              ***
// ***---------------------------------------------------***
__xdata __at(0xED00) UI08 RAMIFCR;     // *** RAMIF Control Register
__xdata __at(0xED02) UI08 RBUFHEAD_L;  // *** Ring Buffer Head Address L Register
__xdata __at(0xED03) UI08 RBUFHEAD_H;  // *** Ring Buffer Head Address H Register
__xdata __at(0xED04) UI08 RBUFTAIL_L;  // *** Ring Buffer Tail Address L Register
__xdata __at(0xED05) UI08 RBUFTAIL_H;  // *** Ring Buffer Tail Address H Register
__xdata __at(0xED06) UI08 RBUFPTR_L;   // *** 
__xdata __at(0xED07) UI08 RBUFPTR_H;   // *** 
// ***---------------------------------------------------***
// *** CMPLUT (xdata:0xEC80)                             ***
// ***---------------------------------------------------***
__xdata __at(0xEC80) UI08 LUT0CR;      // *** LUT0 Control Register
__xdata __at(0xEC88) UI08 LUT0OUT0;    // *** LUT0 Output Register 0
__xdata __at(0xEC89) UI08 LUT0OUT1;    // *** LUT0 Output Register 1
__xdata __at(0xEC8a) UI08 LUT0OUT2;    // *** LUT0 Output Register 2
__xdata __at(0xEC8b) UI08 LUT0OUT3;    // *** LUT0 Output Register 3
__xdata __at(0xEC8c) UI08 LUT0OUT4;    // *** LUT0 Output Register 4
__xdata __at(0xEC8d) UI08 LUT0OUT5;    // *** LUT0 Output Register 5
__xdata __at(0xEC8e) UI08 LUT0OUT6;    // *** LUT0 Output Register 6
__xdata __at(0xEC8f) UI08 LUT0OUT7;    // *** LUT0 Output Register 7
__xdata __at(0xEC90) UI08 LUT1CR;      // *** LUT1 Control Register
__xdata __at(0xEC98) UI08 LUT1OUT0;    // *** LUT1 Output Register 0
__xdata __at(0xEC99) UI08 LUT1OUT1;    // *** LUT1 Output Register 1
__xdata __at(0xEC9a) UI08 LUT1OUT2;    // *** LUT1 Output Register 2
__xdata __at(0xEC9b) UI08 LUT1OUT3;    // *** LUT1 Output Register 3
__xdata __at(0xEC9c) UI08 LUT1OUT4;    // *** LUT1 Output Register 4
__xdata __at(0xEC9d) UI08 LUT1OUT5;    // *** LUT1 Output Register 5
__xdata __at(0xEC9e) UI08 LUT1OUT6;    // *** LUT1 Output Register 6
__xdata __at(0xEC9f) UI08 LUT1OUT7;    // *** LUT1 Output Register 7
// ***---------------------------------------------------***
                                                            
// *********************************************************
// *** End of Declare Peripheral Register (xdata)        ***
// *********************************************************
                                                            
// *********************************************************
#endif // __DEFINES_H__
// *********************************************************
// *** End of the Program                                ***
// *********************************************************
