#include "dsp.h"
#include "dsp_init.h"

const UI16 DSP_prog[] = DSP_PROGRAM_INIT_ARRAY;
void DSP_Init_Program(void)
{
    UI08 i;
     // Load program
    for(i = 0; i < 64; i++)
    {
        DSP0_PRG_ADR = i;
        DSP0_PRG_DATL = (UI08)(DSP_prog[i] & 0x00FF);
        DSP0_PRG_DATH = (UI08)(DSP_prog[i] >> 8);
    }
}


#ifdef __DSP0_INIT__

const UI16 DSP0_reg[] = DSP0_REG_INIT_ARRAY;
const UI08 DSP0_PC = DSP0_INIT_PC;
const UI32 DSP0_ACC_L = DSP0_INIT_ACC_L;
const UI08 DSP0_ACC_H = DSP0_INIT_ACC_H;
const UI16 DSP0_creg[] = DSP0_CONST_INIT_ARRAY;
const UI08 DSP0_LDA = DSP0_INIT_LDA;
const UI08 DSP0_CTRL2 = DSP0_INIT_CTRL2;
const UI08 DSP0_CNSTEN = DSP0_INIT_CNSTEN;
const UI16 DSP0_MAX = DSP0_INIT_MAX;
const UI16 DSP0_MIN = DSP0_INIT_MIN;


void DSP0_InitResources(void)
{
    UI08 i;
    __xdata UI08* ptr;
    
    
    MCLKE1 = MCLKE1 | (0x10 << 0);  // DSP clock enable
    
    // Load program
    //    DSP_Init_Program();
    
    DSP0_R0_HL = (UI08)(DSP0_reg[0] & 0x00ff);
    DSP0_R0_HL = (UI08)(DSP0_reg[0] >> 8);
    DSP0_R1_HL = (UI08)(DSP0_reg[1] & 0x00ff);
    DSP0_R1_HL = (UI08)(DSP0_reg[1] >> 8);
    DSP0_R2_HL = (UI08)(DSP0_reg[2] & 0x00ff);
    DSP0_R2_HL = (UI08)(DSP0_reg[2] >> 8);
    DSP0_R3_HL = (UI08)(DSP0_reg[3] & 0x00ff);
    DSP0_R3_HL = (UI08)(DSP0_reg[3] >> 8);
    DSP0_R4_HL = (UI08)(DSP0_reg[4] & 0x00ff);
    DSP0_R4_HL = (UI08)(DSP0_reg[4] >> 8);
    DSP0_R5_HL = (UI08)(DSP0_reg[5] & 0x00ff);
    DSP0_R5_HL = (UI08)(DSP0_reg[5] >> 8);
    DSP0_R6_HL = (UI08)(DSP0_reg[6] & 0x00ff);
    DSP0_R6_HL = (UI08)(DSP0_reg[6] >> 8);
    DSP0_R7_HL = (UI08)(DSP0_reg[7] & 0x00ff);
    DSP0_R7_HL = (UI08)(DSP0_reg[7] >> 8);
    
    ptr = &DSP0_R8_HL;
    for(i = 0; i < 8; i++)
    {
        *ptr = (UI08)(DSP0_reg[8+i] & 0x00ff);
        *ptr++ = (UI08)(DSP0_reg[8+i] >> 8);
    }
    
    DSP0EXEC = DSP0_PC;
    
    DSP0_ACC_0 = (UI08) ((UI32)DSP0_ACC_L & 0x00ff);
    DSP0_ACC_1 = (UI08) (((UI32)DSP0_ACC_L >> 8) & 0x00ff);
    DSP0_ACC_2 = (UI08) (((UI32)DSP0_ACC_L >> 16) & 0x00ff);
    DSP0_ACC_3 = (UI08) (((UI32)DSP0_ACC_L >> 24) & 0x00ff);
    DSP0_ACC_4 = (UI08) DSP0_ACC_H;

    ptr = &DSP0C0;
    for(i = 0; i < 8; i++)
    {
        *ptr = (UI08)(DSP0_creg[i] & 0x00ff);
        *ptr++ = (UI08)(DSP0_creg[i] >> 8);
    }

    DSP0LDA = DSP0_LDA;
    DSP0CTRL2 = DSP0_CTRL2;
    DSP0CNSTEN = DSP0_CNSTEN;
    
    DSP0MAX = (UI08)(DSP0_MAX & 0x00ff);
    DSP0MAX = (UI08)(DSP0_MAX >> 8);
    DSP0MIN = (UI08)(DSP0_MIN & 0x00ff);
    DSP0MIN = (UI08)(DSP0_MIN >> 8);
#ifndef __DSP0_NOT_AUTO_LAUNCH__
//    DSP0CTRL |= 0x80;   //DSPE=1 : DSP0 Enable
//    DSP0CTRL |= 0x00;   //DSPE=0 : DSP0 Disable
#endif
}
#endif

#ifdef __DSP1_INIT__

const UI16 DSP1_reg[] = DSP1_REG_INIT_ARRAY;
const UI08 DSP1_PC = DSP1_INIT_PC;
const UI32 DSP1_ACC_L = DSP1_INIT_ACC_L;
const UI08 DSP1_ACC_H = DSP1_INIT_ACC_H;
const UI16 DSP1_creg[] = DSP1_CONST_INIT_ARRAY;
const UI08 DSP1_LDA = DSP1_INIT_LDA;
const UI08 DSP1_CTRL2 = DSP1_INIT_CTRL2;
const UI08 DSP1_CNSTEN = DSP1_INIT_CNSTEN;
const UI16 DSP1_MAX = DSP1_INIT_MAX;
const UI16 DSP1_MIN = DSP1_INIT_MIN;


void DSP1_InitResources(void)
{

    UI08 i;
    __xdata UI08* ptr;
    
    
    MCLKE1 = MCLKE1 | (0x10 << 1);  // DSP clock enable
    
    // Load program
    //    DSP_Init_Program();
    
    DSP1_R0_HL = (UI08)(DSP1_reg[0] & 0x00ff);
    DSP1_R0_HL = (UI08)(DSP1_reg[0] >> 8);
    DSP1_R1_HL = (UI08)(DSP1_reg[1] & 0x00ff);
    DSP1_R1_HL = (UI08)(DSP1_reg[1] >> 8);
    DSP1_R2_HL = (UI08)(DSP1_reg[2] & 0x00ff);
    DSP1_R2_HL = (UI08)(DSP1_reg[2] >> 8);
    DSP1_R3_HL = (UI08)(DSP1_reg[3] & 0x00ff);
    DSP1_R3_HL = (UI08)(DSP1_reg[3] >> 8);
    DSP1_R4_HL = (UI08)(DSP1_reg[4] & 0x00ff);
    DSP1_R4_HL = (UI08)(DSP1_reg[4] >> 8);
    DSP1_R5_HL = (UI08)(DSP1_reg[5] & 0x00ff);
    DSP1_R5_HL = (UI08)(DSP1_reg[5] >> 8);
    DSP1_R6_HL = (UI08)(DSP1_reg[6] & 0x00ff);
    DSP1_R6_HL = (UI08)(DSP1_reg[6] >> 8);
    DSP1_R7_HL = (UI08)(DSP1_reg[7] & 0x00ff);
    DSP1_R7_HL = (UI08)(DSP1_reg[7] >> 8);
    
    ptr = &DSP1_R8_HL;
    for(i = 0; i < 8; i++)
    {
        *ptr = (UI08)(DSP1_reg[8+i] & 0x00ff);
        *ptr++ = (UI08)(DSP1_reg[8+i] >> 8);
    }
    
    DSP1EXEC = DSP1_PC;
    
    DSP1_ACC_0 = (UI08) ((UI32)DSP1_ACC_L & 0x00ff);
    DSP1_ACC_1 = (UI08) (((UI32)DSP1_ACC_L >> 8) & 0x00ff);
    DSP1_ACC_2 = (UI08) (((UI32)DSP1_ACC_L >> 16) & 0x00ff);
    DSP1_ACC_3 = (UI08) (((UI32)DSP1_ACC_L >> 24) & 0x00ff);
    DSP1_ACC_4 = (UI08) DSP1_ACC_H;

    ptr = &DSP1C0;
    for(i = 0; i < 8; i++)
    {
        *ptr = (UI08)(DSP1_creg[i] & 0x00ff);
        *ptr++ = (UI08)(DSP1_creg[i] >> 8);
    }

    DSP1LDA = DSP1_LDA;
    DSP1CTRL2 = DSP1_CTRL2;
    DSP1CNSTEN = DSP1_CNSTEN;
    
    DSP1MAX = (UI08)(DSP1_MAX & 0x00ff);
    DSP1MAX = (UI08)(DSP1_MAX >> 8);
    DSP1MIN = (UI08)(DSP1_MIN & 0x00ff);
    DSP1MIN = (UI08)(DSP1_MIN >> 8);
#ifndef __DSP1_NOT_AUTO_LAUNCH__
//    DSP1CTRL |= 0x80;   //DSPE=1 : DSP1 Enable
//    DSP1CTRL |= 0x00;   //DSPE=0 : DSP1 Disable
#endif
}

#endif

