//===========================================================
// MD6602
//-----------------------------------------------------------
// File Name   : hardware.h
// Description : Sample Program for MD6602
//-----------------------------------------------------------
// History :
// Rev.00 2015.08.27  1ch Buck-Converter  First Release
// PCB: PDA50013
//-----------------------------------------------------------
// Copyright (C) 2015 SANKEN ELECTRIC CO.,LTD.
//===========================================================

#ifndef __HARDWARE_H__
#define __HARDWARE_H__

#include "defines.h"

//----------------------
// Prototypes
//----------------------
void wait(UI32 cycle);
void OVP2(void);
void OVP1(void);

void Config_Clock(void);
void Init_GPIO(void);
void Init_DAC(void);
void Init_DSAC(void);

void Init_PWM(void);
void pwm0_do_config(void);

void DSP0_InitResouces(void);
void DSP0_start(void);
void enable_DSP0(void);

void DSP_start(void);
void DSP_stop(void);

void Init_OPAMP(void);
void Init_COMP(void);

void Init_INTC(void);
void ISR_AD_E(void) __using (BANK_INTH);

void Init_POC(void);
void Init_LUT(void);

void Init_Tick(void);

void Init_ADC0(void);
void Init_ADC1(void);
void ADC1_read(void);
void Init_ADC2(void);

void DSAC_start(void);
void DSAC_stop(void);

void Start_TMR(void);
void Start_PWM(void);

void Toggle_GPIO16(void);
void Toggle_GPIO17(void);

#endif

//=========================================================
// End of Program
//=========================================================

