//===========================================================
// MD6602
//-----------------------------------------------------------
// File Name   : main.c
// Description : Sample Program for MD6602
//-----------------------------------------------------------
// History :
// Rev.00 2015.08.27  1ch Buck-Converter  First Release
// PCB: PDA50013
//-----------------------------------------------------------
// Copyright (C) 2015 SANKEN ELECTRIC CO.,LTD.
//===========================================================

#include "defines.h"
#include "hardware.h"
#include "dsp.h"

//---------------------------
// Interrupt Service Routine
//---------------------------
void isr_00 (void) __interrupt ( 0) __using (BANK_INTL)
{
   return;
}
void isr_01 (void) __interrupt ( 1) __using (BANK_INTL)
{
    return;
}
void isr_02 (void) __interrupt ( 2) __using (BANK_INTL)
{
    return;
}
void isr_03 (void) __interrupt ( 3) __using (BANK_INTL)
{
    return;
}
void isr_04 (void) __interrupt ( 4) __using (BANK_INTL)
{
    return;
}
void isr_05 (void) __interrupt ( 5) __using (BANK_INTL)
{
    return;
}
void isr_06 (void) __interrupt ( 6) __using (BANK_INTL)
{
    return;
}
void isr_07 (void) __interrupt ( 7) __using (BANK_INTL)
{
    return;
}
void isr_08 (void) __interrupt ( 8) __using (BANK_INTL)
{
    return;
}
void isr_09 (void) __interrupt ( 9) __using (BANK_INTL)
{
    return;
}
void isr_10 (void) __interrupt (10) __using (BANK_INTH)
{
    return;
}
void isr_11 (void) __interrupt (11) __using (BANK_INTL)
{
    return;
}
void isr_12 (void) __interrupt (12) __using (BANK_INTL)
{
    return;
}
void isr_13 (void) __interrupt (13) __using (BANK_INTL)
{
    return;
}
void isr_14 (void) __interrupt (14) __using (BANK_INTL)
{
    return;
}
void isr_15 (void) __interrupt (15) __using (BANK_INTL)
{
    return;
}
void isr_16 (void) __interrupt (16) __using (BANK_INTL)
{
    return;
}
void isr_17 (void) __interrupt (17) __using (BANK_INTL)
{
    return;
}
void isr_18 (void) __interrupt (18) __using (BANK_INTL)
{
    return;
}
void isr_19 (void) __interrupt (19) __using (BANK_INTL)
{
    return;
}
void isr_20 (void) __interrupt (20) __using (BANK_INTL)
{
    return;
}
void isr_21 (void) __interrupt (21) __using (BANK_INTL)
{
    ISR_Tick_10us();
    return;
}
void isr_22 (void) __interrupt (22) __using (BANK_INTL)
{
    return;
}
void isr_23 (void) __interrupt (23) __using (BANK_INTL)
{
    return;
}
void isr_24 (void) __interrupt (24) __using (BANK_INTL)
{
    return;
}
void isr_25 (void) __interrupt (25) __using (BANK_INTL)
{
    return;
}
void isr_26 (void) __interrupt (26) __using (BANK_INTL)
{
    return;
}
void isr_27 (void) __interrupt (27) __using (BANK_INTL)
{
    return;
}
void isr_28 (void) __interrupt (28) __using (BANK_INTL)
{
    return;
}
void isr_29 (void) __interrupt (29) __using (BANK_INTL)
{
    return;
}
void isr_30 (void) __interrupt (30) __using (BANK_INTL)
{
    return;
}
void isr_31 (void) __interrupt (31) __using (BANK_INTL)
{
    return;
}

//--------------------------
// Software Break Handler
//--------------------------
void sbrk_31 (void) __interrupt (32) __using (BANK_INTL)
{
    return;
}

//-------------------
// Main Routine
//-------------------
void main(void)
{
    // Configure Clock
    Config_Clock();
    // Initialize Hardware
    Init_GPIO();  // Initialize Port
    Init_DAC();   // Initialize DAC
    Init_DSAC();  // Initialize DSAC
    Init_PWM();   // Initialize PWM0
    DSP_Init_Program();   // Initialize DSP program memory(Disable)
    DSP0_InitResources(); // Initialize DSP0
    DSP1_InitResources(); // Initialize DSP1
    Init_OPAMP(); // Initialize OPAMP
    Init_COMP();  // Initialize Comparator
    Init_INTC();  // Initialize Interrupt
    Init_POC();   // Initialize POC
    Init_LUT();   // Initialize LUT
    Init_Tick();  // Initialize Tick
    Init_ADC0();  // Initialize ADC0
    Init_ADC1();  // Initialize ADC1
    Init_ADC2();  // Initialize ADC2



    DSP_start();          // Start DSP
    DSAC_start(); // Start DSAC

    // Enable Interrupt
    INTMST  = INTMST  | 0x01;

//Function Check GPIO16 Start//
//Toggle_GPIO16();
//Function Check GPIO16 End//

//wait(50);

    // Start Operation
    Start_TMR(); // Start Timer
    Start_PWM(); // Start PWM

  while(1);
  {
  }

}



//===========================================================
// End of Program
//===========================================================
